% %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% Fichier : acou_affich_f0.m
% Source : Matlab
% Auteur : D. Lefebvre
% Date : 21.06.99
% Modifi par H. Loevenbruck 03.09.99
% Modifi par H. Loevenbruck 11.03.2004
% Modifi par CS le 19/05/04 : remplacements par des formats de fichier ECH ou
% ASC
% Contenu : Lecture + affichage du fichier  
%           contenant la F0.
% %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

function acou_affich_f0(nomfic,type)

%===============================
% TEST SUR LE NOMBRE D'ARGUMENTS
%===============================

if nargin < 2
   chaine_erreur = sprintf(' Nombre d''arguments insuffisants !\n Syntaxe : acou_affich_f0(nomfic, typefic)');
   errordlg(chaine_erreur, 'Erreur', 'on');
   return;
end

global NUM_FEN INDEX NB_LIG NB_COL SUPERPOSE ACOU_NOM_FIC ACOU_TYP_FIC CURSEUR

if strcmp(type,'ECH')
  % Lecture du fichier ECH isis
  [data,nbech,fech] = acou_lire_param(nomfic,'F0:R4;');
  
elseif strcmp(type,'ASC')
  % lecture du fichier ascii  2 colonnes
  fpar = fopen(nomfic);
  data = [];
  tps = [];
  if (fpar == -1)
    errordlg([' Fichier ',nomfic,' introuvable'],'Erreur','on');
    data = [];
    return
  end
  % Ce type de fichier ne contient pas d'entete
  val = fscanf(fpar,'%f %f',2);
  while ~isempty(val)
    tps = [tps, val(1)];
    data = [data, val(2)];
    val = fscanf(fpar,'%f %f',2);  
  end
  fclose(fpar);
else
   errordlg(' Ce type de fichier de F0 est inconnu.', 'Erreur', 'on');
   return;
end

% Calcule l'chelle
if isempty(tps)
   long_f0 = length(data);
   tps = 0 : 1/fech : (long_f0-1)/fech; 
end
%size(tps)
% Affichage
if NUM_FEN == 0
  errordlg(' Veuillez ouvrir une fenetre principale','Erreur','on');
  return;
end

figure(NUM_FEN);


hsub = subplot(NB_LIG+1,NB_COL,INDEX);
if SUPERPOSE
  hold on
else 
  hold off
end

plot(tps,data,'.');
ylim = get(hsub,'Ylim');
xlim = get(hsub,'Xlim');
axis([xlim ylim]);
grid on;
titre('F0');  
% On rcrit le titre de la fenetre
if INDEX == 1
  titre_fen_princ((xlim(2)-xlim(1))/2, ylim(2)+(ylim(2)-ylim(1))/3, ['Fichier ',ACOU_NOM_FIC]);
end

% On rend actif le menu droulant
set(hsub,'Buttondownfcn','plot_menu');

% On dsactive les anciens graphes
% et active le courant
active_graphe;

%mise  jour des bornes du curseur
if CURSEUR
    maj_curseur; 
end
