% %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% Fichier : acou_calc_fft.m
% Source : Matlab
% Auteur : D. Lefebvre
% Date : 21.06.99
% Modifi par H. Loevenbruck 29.09.99
% Modifi par C.S. le 17/05/04 : couleur des graphes gre par variable
% globale (COULEUR_GRAPH)
%
% Contenu : Calcule la FFT du signal  un 
%           instant donn
% %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

function acou_calc_fft(pos_sb)

%===============================
% TEST SUR LE NOMBRE D'ARGUMENTS
%===============================

if nargin < 1
   chaine_erreur = sprintf(' Nombre d''arguments insuffisants !\n Syntaxe : acou_calc_fft(instant)');
   errordlg(chaine_erreur, 'Erreur', 'on');
   return;
end

global ACOU_SIG ACOU_FECH ACOU_ORD_FFT ACOU_FEN_TMP NUM_SYNC IND_SYNC COL_SYNC COULEUR_GRAPH

figNumber=watchon;

% Teste si le fichier acoustique a t charg
if isempty(ACOU_SIG)
  errordlg(' Fichier acoustique non charg','Erreur','on');
  watchoff(figNumber);
  return;
end

% Rcupre une portion de signal centre sur le curseur
sig_fft = acou_fen_signal(pos_sb);
if ~isempty(sig_fft)
  ['fft  t = ',num2str(pos_sb)];
  sig_fft = sig_fft .* ACOU_FEN_TMP;

  % Calcule la fft
  fft_sig = fft(sig_fft,ACOU_ORD_FFT);

  % Filtre la fft  la frquence ACOU_FECH/8
  [c,d] = butter(5,0.25);
  fft_sig = filtfilt(c,d,fft_sig);
  fft_sig_mod = 20*log10(abs(fft_sig(1 : ACOU_ORD_FFT/2)));

  % Calcule l'axe des frquences
  f = 0 : ACOU_FECH/ACOU_ORD_FFT : ACOU_FECH/2-1;
  
  % Affichage
  figure(NUM_SYNC);
  subplot(1,COL_SYNC,IND_SYNC);
  plot(f,fft_sig_mod,'Color',COULEUR_GRAPH);
  %limX= [0 max(f)];
  %limY= [0 max(fft_sig_mod)];
  %axis([limX limY]);
  grid on;
  buf = sprintf('Spectre  t =%6.2f s',pos_sb);
% Attention ne pas changer cette couleur
% sinon la modification d'chelle marchera moins bien
% cf. modif_echelle.m
  title(buf,'Color','g'); %le titre est crit en green
  xlabel('Frquence Hz');
  ylabel('Amplitude dB');

  % Incrmente l'index des subplots
  if IND_SYNC == COL_SYNC
    IND_SYNC = 1;
  else
    IND_SYNC = IND_SYNC + 1;
  end
end

watchoff(figNumber);
