% %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% Fichier : acou_conversion_ech.m
% Source : Matlab
% Auteur : D. Lefebvre
% Date : 21.06.99
% Modifi par H. Loevenbruck 17.01.2000
% Contenu : Filtre le signal acoustique (si EMA)
%           puis conversion au format ISIS.
% %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

function acou_conversion_ech(nom_fich, fech, sig)

%===============================
% TEST SUR LE NOMBRE D'ARGUMENTS
%===============================

if nargin < 3
   chaine_erreur = sprintf(' Nombre d''arguments insuffisants !\n Syntaxe : acou_conversion(nomfic, Fe, signal)');
   errordlg(chaine_erreur, 'Erreur', 'on');
   return;
end


global ACOU_TYP_FIC

% Rcupre le chemin des fonctions C contenu dans la variable d'environnement
chemin = getenv('TRAP_C');

%=====================================
% Filtrage des donnes acoustiques EMA
% Par passe-haut de fc = 10 Hz
%=====================================

if strcmp(ACOU_TYP_FIC,'EMA')
  signal = acou_high_pass(sig,fech,10);
else
  signal = sig;
end

%=====================================
% Ouverture du fichier en criture
% et criture des donnes acoustiques
%=====================================

fid = fopen(nom_fich,'w','l');
if fid==-1
  errordlg([' Impossible d''ouvrir le fichier ', nom_fich],'Erreur','on');
else
  n = fwrite(fid,[round(signal)],'short');
  fclose(fid);
end

%==================================
% Conversion au format ISIS
%  l'aide de la fonction C cv_sig
%==================================

cmd = sprintf('%s/bin.$HOSTTYPE/cv_sig %s %d', chemin, nom_fich, fech);
unix(cmd); 


% ancienne version : fausse
%l = length(nom_fich);
%nb =length(signal);
%m_sig=max(max(signal),abs(min(signal)));
%entete=zeros(64,1);
%short_max = 2^16;
%entete(8) = rem(nb,short_max);
%entete(9) = floor(nb/short_max);
%entete(10) = round(min(signal));
%entete(11) = round(max(signal));
%entete(61) = 0;
%entete(62) = fech; 
%entete(63) = -32000;
%entete(64) = 32149;
