% %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% Fichier : acou_ecout_ext.m
% Source : Matlab
% Auteur : D. Lefebvre
% Date : 21.06.99
% Modifi par H. Loevenbruck 18.07.99
% Contenu : Joue l'extrait du signal selectionn
%
% Suivant la machine, il faut peut-etre remplacer 
% la fonction "ecouter" par "play" ou "sound", voir
% plus bas.
% %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%


function acou_ecout_ext(pos1,pos2)

%===============================
% TEST SUR LE NOMBRE D'ARGUMENTS
%===============================

if nargin < 2
   chaine_erreur = sprintf(' Nombre d''arguments insuffisants !\n Syntaxe : acou_ecout_ext(instant1, instant2)');
   errordlg(chaine_erreur, 'Erreur', 'on');
   return;
end

global ACOU_FECH

% Recherche de tous les signaux et tiquettes contenus ds le subplot courant
gr_lines = findobj(gca,'Type','line');

nb_signaux = 0;
for ind_gr = 1 : length(gr_lines)
   % On ne s'intresse qu'aux signaux et on vacue les tiquettes (de lenght 2)
      if (length(get(gr_lines(ind_gr), 'xdata')) > 2) 
         nb_signaux = nb_signaux +1;
         signal_acous = ind_gr;
      end
end

if (nb_signaux < 1)
   errordlg(' Impossible d''couter : Il n''y a pas de signal temporel !','Erreur','on');
   return;
elseif (nb_signaux > 1)
   errordlg(' Impossible d''couter : des graphes sont superposs !','Erreur','on');
   return;
else
   donnees_temporelles = get(gr_lines(signal_acous), 'xdata');
   donnees_acous = get(gr_lines(signal_acous), 'ydata');
   BorneSupX = donnees_temporelles(length(donnees_temporelles));    
   FrequenceEch = (length(donnees_temporelles) -1)/BorneSupX;

% CS 06/2015 : pas utile
%    if (round(FrequenceEch) ~= ACOU_FECH)
%       errordlg(' Impossible d''couter : le signal courant n''est pas un signal acoustique !','Erreur','on');
%       return;
%    end
% 
   % Recherche les indices du signal correspondants aux positions cliques
   ind1 = round(pos1*round(FrequenceEch) + 1);
   ind2 = round(pos2*round(FrequenceEch) + 1);

   if (ind1 < 1)
     ind1 = 1;
   end

   if (ind2 > length(donnees_acous))
     ind2 = length(donnees_acous);
   end

   if (ind1 < ind2)
     % Lancement du serveur audio
     % term = computer;
  
     sig = donnees_acous(ind1:ind2)';

     % si PC LINUX 
     % if findstr(term,'LNX') ~= [] 
     %   ecouter((2^15-1)*sig'/max(abs(sig)), ACOU_FECH);

       % Si ecouter ne fonctionne pas essayer play, dvelopp par R. Laboissire,
       %play((2^15-1)*sig'/max(abs(sig)), ACOU_FECH); 
 
       % ou bien la commande matlab par dfaut :
       %sound((2^15-1)*sig'/max(abs(sig)), ACOU_FECH); 

     % Si station HP
     % elseif findstr(term,'HP') ~= [] 
     %  ecoute((2^15-1)*sig/max(abs(sig)), ACOU_FECH); % Serveur sigserv
     % else 
        %soundsc((2^15-1)*sig'/max(abs(sig)), ACOU_FECH); 
     sound(sig, ACOU_FECH); 
   
     % end  
  
   else
     errordlg(' L''extrait ne se trouve pas dans le signal','Erreur','on');
   end
end
