% %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% Fichier : acou_emphase.m
% Source : Matlab
% Auteur : D. Lefebvre
% Date : 21.06.99
% Dernire modification par H. Loevenbruck 12.09.02
% Contenu : Modifie l'emphase du spectrogramme
% %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

function acou_emphase(esp)

%===============================
% TEST SUR LE NOMBRE D'ARGUMENTS
%===============================

if nargin < 1
   chaine_erreur = sprintf(' Nombre d''arguments insuffisants !\n Syntaxe : acou_emphase(esp)');
   errordlg(chaine_erreur, 'Erreur', 'on');
   return;
end

global NUM_FEN ACOU_SPECTRO

if NUM_FEN == 0
  errordlg(' Veuillez ouvrir une fenetre principale','Erreur','on');
  return;
end
figure(NUM_FEN);
spec = findobj(NUM_FEN,'Type','image');
if ~isempty(spec)
  freq = get(spec(1),'Ydata');
  tps = get(spec(1),'Xdata');
  axe_spec = get(spec(1),'Parent');
  subplot(axe_spec);
  if esp == 0
      emph = zeros(size(ACOU_SPECTRO,1), 1);
  else
      emph=[0:esp/(length(freq)-1):esp]';
  end

  imagesc(tps,freq,ACOU_SPECTRO + emph*ones(1,length(tps)));
  axis xy;
  titre('SPECTROGRAM');
  % On rend actif le menu deroulant
  set(axe_spec,'Buttondownfcn','plot_menu');

end
