% %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% Fichier : acou_f0_frm_dlg.m
% Source : Matlab
% Auteur : D. Lefebvre
% Date : 21.06.99
% Modifi par H. Loevenbruck 28.09.99
% Modifi par CS le 19/05/04 : corrections des formats de fichier ECH ou
% ASC
% Contenu : Config du fichier F0 / formants
% %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

function acou_f0_frm_dlg(titre)

%===============================
% TEST SUR LE NOMBRE D'ARGUMENTS
%===============================

if nargin < 1
   chaine_erreur = sprintf(' Nombre d''arguments insuffisants !\n Syntaxe : acou_f0_frm_dlg(titre)');
   errordlg(chaine_erreur, 'Erreur', 'on');
   return;
end

num_fen = dialogue(titre);
taille_fen = get(num_fen,'Position');

% Entre du nom du fichier
uicontrol(num_fen,'Style','Text','String','Nom du fichier :',...
    'Position',[0 taille_fen(4)/2+40 taille_fen(3)/2 20]);
uicontrol(num_fen,'Style','Edit','Backgroundcolor','w',...
    'Position',[taille_fen(3)/2-10 taille_fen(4)/2+40 taille_fen(3)/2 20]);

% Choix du format du fichier
uicontrol(num_fen,'Style','Text','String','Format du fichier :',...
    'Position',[0 taille_fen(4)/2+10 taille_fen(3)/2 20]);
uicontrol(num_fen,'Style','Checkbox','String','ECH','Backgroundcolor',[0.8 0.8 0.8],...
    'Position',[taille_fen(3)/2-10 taille_fen(4)/2+10 taille_fen(3)/6 20]);
uicontrol(num_fen,'Style','Checkbox','String','ASC','Backgroundcolor',[0.8 0.8 0.8],...
    'Position',[4*(taille_fen(3)/6)-10 taille_fen(4)/2+10 taille_fen(3)/6 20]);
