% %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% Fichier : acou_fen_signal.m
% Source : Matlab
% Auteur : D. Lefebvre
% Date : 21.06.99
% Modifi par H. Loevenbruck 29.09.99
% Contenu : Fenetrage du  signal acoustique 
%           centr sur la position du curseur.
% %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

function [signal] =  acou_fen_signal(pos_sb)

signal = [];
% Transforme la matrice ligne en matrice colonne
signal = signal';

%===============================
% TEST SUR LE NOMBRE D'ARGUMENTS
%===============================

if nargin < 1
   chaine_erreur = sprintf(' Nombre d''arguments insuffisants !\n Syntaxe : acou_fen_signal(pos_sb)');
   errordlg(chaine_erreur, 'Erreur', 'on');
   return;
end

global ACOU_SIG ACOU_TPS ACOU_SIG_CUT ACOU_TPS_CUT ACOU_LONG_FEN ACOU_FECH

% si le signal a t coup, prendre le signal coup. 
if ~isempty(ACOU_SIG_CUT)
  sig = ACOU_SIG_CUT;
  temps = ACOU_TPS_CUT;
else
  sig = ACOU_SIG;
  temps = ACOU_TPS;
end

% Rcupre le signal acoustique pour les diffrents traitements demands
long_sig = length(sig);
indice = pos_sb*ACOU_FECH + 1;   % Indice de l'chantillon dans la matrice du signal
if indice >= long_sig
  errordlg(' Le curseur ne se trouve plus sur le signal !','Attention','on');
  return;
else
  % Prlve dans le signal ACOU_LONG_FEN chantillons autour de l'indice
  i_deb = round(indice+1-ACOU_LONG_FEN/2);
  i_fin = round(indice+ACOU_LONG_FEN/2);
  if i_deb < 1
    i_deb = 1;
  end
  if i_fin > long_sig
    i_fin = long_sig;
 end
 
 signal = ACOU_SIG(i_deb : i_fin);
  % Si la taille du signal est inf.  ACOU_LONG_FEN, on complte par des 0
  lsig = length(signal); 
  if lsig < ACOU_LONG_FEN
    signal(lsig+1:ACOU_LONG_FEN) = zeros(1,ACOU_LONG_FEN-lsig);
  end
  
  % signal = signal(:);
end
