% %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% Fichier : acou_fft_dlg.m
% Source : Matlab
% Auteur : D. Lefebvre
% Date : 21.06.99
% Modifi par H. Loevenbruck 29.09.99
% Contenu : Config fft et lpc
% %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

function acou_fft_dlg(titre)

%===============================
% TEST SUR LE NOMBRE D'ARGUMENTS
%===============================

if nargin < 1
   chaine_erreur = sprintf(' Nombre d''arguments insuffisants !\n Syntaxe : acou_fft_dlg(titre)');
   errordlg(chaine_erreur, 'Erreur', 'on');
   return;
end

global ACOU_SIG

% Test si le fichier acoustique a t charg
if isempty(ACOU_SIG)
  errordlg(' Fichier acoustique non charg','Erreur','on');
  return;
end

num_fen = dialogue(titre);
taille_fen = get(num_fen,'Position');

% Ajuste la Frame
uicontrol(num_fen,'Style','Frame',...
    'Position',[0 taille_fen(4)/2+5 taille_fen(3) 4]);

% Configuration de la FFT
%------------------------
uicontrol(num_fen,'Style','Checkbox','String','FFT','Backgroundcolor',[0.8 0.8 0.8],...
    'Position',[taille_fen(3)/20 taille_fen(4)/2+50 taille_fen(3)/5 20]);

uicontrol(num_fen,'Style','Text','String','Ordre (dfaut 512) :',...
    'Position',[taille_fen(3)/5 taille_fen(4)/2+50 taille_fen(3)/2 20]);
uicontrol(num_fen,'Style','Text','String','Fenetre :',...
    'Position',[5*taille_fen(3)/12 taille_fen(4)/2+20 taille_fen(3)/4 20]);

uicontrol(num_fen,'Style','Edit','Backgroundcolor','w',...
    'Position',[7*taille_fen(3)/10 taille_fen(4)/2+50 taille_fen(3)/4 20]);

uicontrol(num_fen,'Style','Popupmenu','String','Hanning|Hamming|Blackman|Bartlett|Triangle',...
    'Backgroundcolor',[0.8 0.8 0.8],...
    'Position',[7*taille_fen(3)/10 taille_fen(4)/2+20 taille_fen(3)/4 20]);

% Configuration de la LPC
%------------------------
uicontrol(num_fen,'Style','Checkbox','String','LPC','Backgroundcolor',[0.8 0.8 0.8],...
    'Position',[taille_fen(3)/20 taille_fen(4)/2-25 taille_fen(3)/5 20]);

uicontrol(num_fen,'Style','Text','String','Coef (dfaut 22) :',...
    'Position',[taille_fen(3)/5  taille_fen(4)/2-25 taille_fen(3)/2 20]);

uicontrol(num_fen,'Style','Edit','Backgroundcolor',[0.999 1 1 ],...
    'Position',[7*taille_fen(3)/10  taille_fen(4)/2-25 taille_fen(3)/4 20]);

% le fond n'est pas tout a fait 'white', pour pouvoir distinguer du prcdent
