% %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% Fichier : acou_intensite.m
% Source : Matlab
% Auteur : D. Lefebvre
% Date : 21.06.99
% Modifi par H. Loevenbruck 24.09.99
% Contenu : Calcule l'volution de la valeur RMS 
%           du signal
% %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

function acou_intensite

global ACOU_SIG ACOU_SIG_CUT ACOU_TPS ACOU_TPS_CUT ACOU_FECH
global NUM_FEN 

% Test si le fichier acoustique a t charg
if isempty(ACOU_SIG)
  errordlg(' Fichier acoustique non charg','Erreur','on');
  return;
end

figNumber=watchon;

% si le signal a t coup, prendre le signal coup. 
if ~isempty(ACOU_SIG_CUT)
  sig = ACOU_SIG_CUT;
  temps = ACOU_TPS_CUT;
else
  sig = ACOU_SIG;
  temps = ACOU_TPS;
end

% Calcul du pas de calcul pour un chantillonnage de 10ms
interval = round(0.01*ACOU_FECH);
evol_rms = [];
taille_tps = length(temps);
for i=1 :length(sig)-interval+1
  % Calcule la valeur RMS  chaque nouvel echantillon
  evol_rms(i) = sqrt(mean(sig(i:i+interval-1).^2));
%  temps = [temps,i];
%   if (length(evol_rms)+interval) <= taille_tps
%     evol_rms = [evol_rms,ones(1,interval)*rms];
%   else
%     evol_rms = [evol_rms,ones(1,taille_tps-length(evol_rms))*rms];
%   end
end
evol_rms = [evol_rms,zeros(1,interval-1)];
length(evol_rms);
length(temps);
watchoff(figNumber);

% Affichage

% Si aucune fenetre n'a t ouverte, on ouvre celle par dfaut
if NUM_FEN == 0
  fenetre(1,4,[20 90],[450 650],'Fenetre Principale');
end

if ~isempty(ACOU_SIG_CUT)
  trace_graphe(evol_rms,temps,'RMS (aprs coupe)', '-', [ 1 1 0]);
else 
  trace_graphe(evol_rms,temps,'RMS', '-', [ 1 1 0]);
end
