% %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% Fichier : acou_lire_fft.m
% Source : Matlab
% Auteur : D. Lefebvre
% Date : 21.06.99
% Modifi par H. Loevenbruck 24.09.99
% Contenu : Lecture de l'ordre de la FFT 
%          et de la LPC.
% %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

function acou_lire_fft

global ACOU_ORD_FFT ACOU_ORD_LPC ACOU_CALC_FFT ACOU_CALC_LPC ACOU_FEN_TMP ACOU_LONG_FEN

% On rcupre les objets de type Edit
edit = findobj(gcf,'Style','edit');

% Lecture des donnes pour la FFT
box_fft = findobj(gcf,'Style','checkbox','String','FFT');
if get(box_fft,'Value')
  ACOU_CALC_FFT = 1;
  % Lecture de l'ordre de la FFT
  if (get(edit(1), 'BackGroundcolor') == [ 1 1 1])
     ordre_fft = get(edit(1),'string');
  else 
     ordre_fft = get(edit(2),'string');
  end
  if strcmp(ordre_fft,'')
    errordlg(' Veuillez rentrer l''ordre de la FFT','Erreur','on');
    return;
  end
  ACOU_ORD_FFT = str2num(ordre_fft);
  % Lecture de la fenetre
  popup = findobj(gcf,'Style','popupmenu');
  fen = get(popup,'Value');
  % Si c'est l'option Hanning
  if fen == 1
    ACOU_FEN_TMP = hanning(ACOU_LONG_FEN);
    % Si c'est l'option Hamming
  elseif fen == 2
    ACOU_FEN_TMP = hamming(ACOU_LONG_FEN);
    % Si c'est l'option Blackman
  elseif fen == 3
    ACOU_FEN_TMP = blackman(ACOU_LONG_FEN);
    % Si c'est l'option Bartlett
  elseif fen == 4
    ACOU_FEN_TMP = bartlett(ACOU_LONG_FEN);
    % Sinon c'est l'option Triangle
  else
    ACOU_FEN_TMP = triang(ACOU_LONG_FEN);
  end
else
  ACOU_CALC_FFT = 0;
end

% Lecture des donnees pour la LPC
box_lpc = findobj(gcf,'Style','checkbox','String','LPC');
if get(box_lpc,'Value')
  ACOU_CALC_LPC = 1;
  % Lecture de l'ordre
    if (get(edit(1), 'BackGroundcolor') == [ 1 1 1])
     ordre_lpc = get(edit(2),'string');
  else 
     ordre_lpc = get(edit(1),'string');
  end
  if strcmp(ordre_lpc, '')
    errordlg(' Veuillez rentrer le nb de coefs de la LPC','Erreur','on');
    return;
  end
ACOU_ORD_LPC = str2num(ordre_lpc);
else
  ACOU_CALC_LPC = 0;
end

delete(gcf);

if (ACOU_CALC_FFT == 1 | ACOU_CALC_LPC == 1)
  pos_curs;
end

