% %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% Fichier : acou_lire_param.m
% Source : Matlab
% Auteur : P. Badin, C. Savariaux
% Contenu : Lecture d'un fichier de paramtres 
%           au format ISIS
% %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

% Note: par dfaut, si le descripteur "des" n'existe pas, on lit tout

function [data,count, fe] = acou_lire_param(name,des)

%===============================
% TEST SUR LE NOMBRE D'ARGUMENTS
%===============================

if nargin < 2
   chaine_erreur = sprintf(' Nombre d''arguments insuffisants !\n Syntaxe : acou_lire_param(name,des)');
   errordlg(chaine_erreur, 'Erreur', 'on');
   return;
end

chemin = getenv('TRAP_C');

nom_f = [name '.lis'];

if ~exist('des') des = ''; end
if ~isempty(des)
   cmd = [chemin '/bin.$HOSTTYPE/par_lis ' name ' ' nom_f ' "' des '"'];
else
   cmd = [chemin '/bin.$HOSTTYPE/par_lis ' name ' ' nom_f];
end
    
[s,w] = unix(cmd);

fpar = fopen(nom_f);
if (fpar == -1)
  errordlg([' Fichier ',nom_f,' introuvable'],'Erreur','on');
  data = [];
  return
end

% On ne lit pas les 2 premieres lignes
for i = 1:2
  ligne = fgetl(fpar);
end

ligne = fgetl(fpar); % troisieme ligne
col = sscanf(ligne(3:length(ligne)),'%d');
format = fgetl(fpar);
com   = fgetl(fpar);
ligne = fgetl(fpar); nb_ech     = sscanf(ligne,'%d');
ligne = fgetl(fpar); nb_trames  = sscanf(ligne,'%d');
ligne = fgetl(fpar); fe         = sscanf(ligne,'%d');

fmt = [];
for i = 1:col
  fmt = [fmt ' %f']; 
end

data=fscanf(fpar,fmt,[col inf]);
count = size(data, 1);
fclose(fpar);
%unix(['/bin/rm ' nom_f]);

