% %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% Fichier : acou_ouv_bin.m
% Source : Matlab
% Auteur : D. Lefebvre
% Date : 21.06.99
% Contenu : Lecture du fichier binaire .mat
% %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

function [sig,tps] = acou_ouv_bin(nomfic)

%===============================
% TEST SUR LE NOMBRE D'ARGUMENTS
%===============================

if nargin < 1
   chaine_erreur = sprintf(' Nombre d''arguments insuffisants !\n Syntaxe : acou_ouv_bin(nomfic)');
   errordlg(chaine_erreur, 'Erreur', 'on');
   return;
end

global ACOU_FECH

if ACOU_FECH == 0
  errordlg(' Veuillez spcifier la frquence d''chantillonnage !','Erreur','on');
  return;
end

%=======================================
% Vrification de l'existence du fichier
%=======================================

if ~exist(nomfic)
   errordlg([' Fichier ', nomfic,' introuvable'], 'Rsultat', 'on');
   return;
end

%================================
% Lecture des donnes du fichier
%================================
load(nomfic);

%================================
% Calcul des donnes temporelles
%================================

counts = length(sig);
tps = linspace(0,(counts-1)/ACOU_FECH,counts);

