% %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% Fichier : acou_signal.m
% Source : Matlab
% Auteur : D. Lefebvre
% Date : 21.06.99
% Modifi par H. Loevenbruck 03.09.99
% Contenu : Trace le signal acoustique
%           dans la fenetre principale
% %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

function acou_signal

global NUM_FEN ACOU_TPS ACOU_SIG FLAG_ACOU

figNumber=watchon;

FLAG_ACOU = 1;  %Permet de savoir qu'un signal acoustique a t trac. Utile pour zoom_out.

% Test si le fichier acoustique a t charg
if isempty(ACOU_SIG)
  errordlg(' Fichier acoustique non charg','Erreur','on');
  watchoff(figNumber);
  return;
end

% Si aucune fenetre n'a t ouverte, on ouvre celle par dfaut
if NUM_FEN == 0
  fenetre(1,4,[20 90],[450 650],'Fenetre Principale');
end

trace_graphe(ACOU_SIG,ACOU_TPS,'ACOU-SIG', '-', [ 1 1 0]);
watchoff(figNumber);
