%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%	10/11/96
%	Solange ROSSATO
%
% Modifi par H. Loevenbruck
% Dernire modification : 28/10/02

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

function s=synthese(N,Ap);

% s=synthese(N,A)
%	calcul la reponse impulsionnelle du filtre obtenu par prediction lineaire
%	N : nombre d'echantillons a calculer,
%	A : coefficients de prediction lineaire,
%	s : signal obtenu.

p=length(Ap)-1;
s(1)=1;
for n=2:p;
	s(n)=0;
	for i=2:n
		s(n)=s(n)-Ap(i)*s(n-i+1);
	end
end
for n=p+1:N
	s(n)=0;
	for i=2:p+1
		s(n)=s(n)-Ap(i)*s(n-i+1);
	end
end
s=s';
