% %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% Fichier : active_graphe.m
% Source : Matlab
% Auteur : H. Loevenbruck
% Date :  18.07.99
% Contenu : Dsactive les anciens graphes et 
% active (cadre bleu) le subplot courant 
% %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

function active_graphe

global INDEX NB_LIG NB_COL FE_ACTIF TPS_EVA_ACTIF EVA_FECH1 EVA_FECH2 EVA_TPS1 EVA_TPS2 COULEUR_AXES COULEUR_ACTIVE
global EVA_TPS_INT EVA_FECH_INT

fig_max = NB_LIG*NB_COL;

% Dsactive les anciens graphes
for i = 1:fig_max
   subplot(NB_LIG+1,NB_COL,i);
   set(gca, 'Xcolor', COULEUR_AXES);
   set(gca, 'Ycolor', COULEUR_AXES);
end

% On active le subplot courant 
% il devient gris
subplot(NB_LIG+1,NB_COL,INDEX);
set(gca, 'Xcolor', COULEUR_ACTIVE);
set(gca, 'Ycolor', COULEUR_ACTIVE);
str = get(gca,'Tag');

if ~isempty(str)
    if strcmp(str,'WA1') || strcmp(str,'WA2') || strcmp(str,'F0') || strcmp(str,'EGG')
        FE_ACTIF = EVA_FECH1;
        TPS_EVA_ACTIF = EVA_TPS1;
    elseif strcmp(str,'INT')
        FE_ACTIF = EVA_FECH_INT;
        TPS_EVA_ACTIF = EVA_TPS_INT;
    elseif strcmp(str,'AUX')
        FE_ACTIF = EVA_FECH2;
        TPS_EVA_ACTIF = EVA_TPS2;
    else
        FE_ACTIF = EVA_FECH2;
        TPS_EVA_ACTIF = EVA_TPS2;        
    end
else
    FE_ACTIF = 0;
    TPS_EVA_ACTIF = [];
end

