% %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% Fichier : calc_acc_ord3.m
% Source : Matlab
% Auteur : H. Loevenbruck
% Date : 18.12.03
% Modifi par H. Loevenbruck et Denis Beautemps
% Contenu : Calcule l'acclration d'un signal
%  partir du dveloppement limit
%  l'ordre 3
% %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

function [acc] = calc_acc_ord3(sig,fech)

%===============================
% TEST SUR LE NOMBRE D'ARGUMENTS
%===============================

if nargin < 2
   chaine_erreur = sprintf(' Nombre d''arguments insuffisants !\n Syntaxe : calc_acc(signal, Fe)');
   errordlg(chaine_erreur, 'Erreur', 'on');
   return;
end

figNumber=watchon;
sig=sig';

N = length(sig);

% Calcul du dveloppement limit  l'ordre 3
% Les zros sont rajouts pour complter les vecteurs dcals
acc = [sig(2:N);zeros(1)] + [zeros(1);sig(1:N-1)] - 2*sig(1:N); 

%accel(1) est forcment faux: donc on affecte la valeur en position 2
acc(1) = acc(2); 
% Idem pour accel(N) avec affectation de l'accel en position N-1
acc(N) = acc(N-1);
acc = acc * ((fech).^2);

acc = acc';
watchoff(figNumber);
