% %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% Fichier : calc_vit.m
% Source : Matlab
% Auteur : D. Lefebvre
% Date : 21.06.99
% Modifi par H. Loevenbruck 03.01.2000
% Contenu : Calcule la vitesse d'un signal
% Modifi par CS et LN le 01.04.04 : 
%   changement de la formule de calcul de la vitesse avec DL a l'ordre 2
%   la version precedente (ordre 1) est sauve ds calc_vit_old.m
% %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

function [vit] =  calc_vit(sig,fech)

%===============================
% TEST SUR LE NOMBRE D'ARGUMENTS
%===============================

if nargin < 2
   chaine_erreur = sprintf(' Nombre d''arguments insuffisants !\n Syntaxe : calc_vit(signal, Fe)');
   errordlg(chaine_erreur, 'Erreur', 'on');
   return;
end

figNumber=watchon;
sig=sig';
N = length(sig);

% Calcul du dveloppement limit  l'ordre 2
% Les zros sont rajouts pour complter les vecteurs dcals
vit = [sig(2:N);zeros(1)] - [zeros(1);sig(1:N-1)]; 

%vit(1) est forcment faux: donc on affecte la valeur en position 2
vit(1) = vit(2); 
% Idem pour vit(N) avec affectation de l'accel en position N-1
vit(N) = vit(N-1);
vit = vit * 0.5 * fech;

vit=vit';

watchoff(figNumber);
