% %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% Fichier : echelle_dlg.m
% Source : Matlab
% Auteur : D. Lefebvre
% Date de cration : 21.06.99
% Modifi par H. Loevenbruck 03.09.99
% Contenu : Boite de dialogue permettant la 
%           saisie de l'chelle d'un graphique
% %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

function echelle_dlg(titre)

%===============================
% TEST SUR LE NOMBRE D'ARGUMENTS
%===============================

if nargin < 1
   chaine_erreur = sprintf(' Nombre d''arguments insuffisants !\n Syntaxe : echelle_dlg(titre)');
   errordlg(chaine_erreur, 'Erreur', 'on');
   return;
end

x=get(gca,'Xlim');
y=get(gca,'Ylim');
x_min = x(:,1);
x_max = x(:,2);
y_min = y(:,1);
y_max = y(:,2);

num_fen = dialogue(titre);
taille_fen = get(num_fen,'Position');

uicontrol(num_fen,'Style','Text','String','xmin',...
    'Position',[0 taille_fen(4)/2+20 taille_fen(3)/6 20]);
uicontrol(num_fen,'Style','Text','String','xmax',...
    'Position',[0 taille_fen(4)/2-10 taille_fen(3)/6 20]);

uicontrol(num_fen,'Style','Text','String','ymin',...
    'Position',[taille_fen(3)/2 taille_fen(4)/2+20 taille_fen(3)/6 20]);
uicontrol(num_fen,'Style','Text','String','ymax',...
    'Position',[taille_fen(3)/2 taille_fen(4)/2-10 taille_fen(3)/6 20]);

uicontrol(num_fen,'Style','Edit','Backgroundcolor','w','String',num2str(x_min),...
    'Position',[taille_fen(3)/6 taille_fen(4)/2+20 taille_fen(3)/3-5 20]);
uicontrol(num_fen,'Style','Edit','Backgroundcolor','w','String',num2str(x_max),...
    'Position',[taille_fen(3)/6 taille_fen(4)/2-10 taille_fen(3)/3-5 20]);

uicontrol(num_fen,'Style','Edit','Backgroundcolor','w','String',num2str(y_min),...
    'Position',[4*taille_fen(3)/6 taille_fen(4)/2+20 taille_fen(3)/3-5 20]);
uicontrol(num_fen,'Style','Edit','Backgroundcolor','w','String',num2str(y_max),...
    'Position',[4*taille_fen(3)/6 taille_fen(4)/2-10 taille_fen(3)/3-5 20]);
