% %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% Fichier : eff_etiq.m
% Source : Matlab
% Auteur : D. Lefebvre
% Date : 21.06.99
% Modifi par H. Loevenbruck 01.09.99, 04.03.02
% Contenu : Efface l'tiquette selectionne
%           par l'utilisateur.
% NIV_ETIQ niveaux d'tiquette sont possibles.
% %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

function eff_etiq(pos_click)

% Initialisation
etiq = [];

%===============================
% TEST SUR LE NOMBRE D'ARGUMENTS
%===============================

if nargin < 1
   chaine_erreur = sprintf(' Nombre d''arguments insuffisants !\n Syntaxe : eff_etiq(pos_click)');
   errordlg(chaine_erreur, 'Erreur', 'on');
   return;
end

global NUM_FEN NIV_ETIQ COULEUR_ETIQ

if NUM_FEN == 0
  errordlg(' Veuillez ouvrir une fenetre principale','Erreur','on');
  return;
end
figure(NUM_FEN);

% Recherche toutes les tiquettes de la fenetre

for i = 1:NIV_ETIQ
  etiq = [etiq;findobj(gcf,'Type','line','Color', COULEUR_ETIQ(i,:))];  %Etiq niveau i
end

if ~isempty(etiq)
  % Recherche la position en X de ces etiq.
  for i=1 : length(etiq)
    pos = get(etiq(i),'Xdata');
    pos_x(i) = pos(1);
  end
  
  % Recherche parmi les tiq. celle qui est la + proche du Click
  [val,indice] = min(abs(pos_x - pos_click));
  
  % Supprime toutes les tiq. se trouvant  cette position
  ind_sup = find(pos_x == pos_x(indice));
  delete(etiq(ind_sup));
  
  % Supprime le nom de l'tiquette
  nom = findobj(gcf,'Type','text');
  for i = 1 : length(nom)
    pos = get(nom(i),'Position');
    pos_t(i) = pos(1);
  end
  ind_sup = find(pos_t == pos_x(indice));
  delete(nom(ind_sup));
end

