% %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% Fichier : ema_animer.m
% Source : Matlab
% Auteur : D. Lefebvre
% Date : 21.06.99
% Dernire modification par H. Loevenbruck 12.09.02
% Modifi par CS le 30/10/02 :
%   Passage  10 bobines
% Dernire modification : CS, le 16/01/07
%   passage en 3D
% Dernire modification : CS, le 16/09/15
%   modification des couleurs
% Contenu : Affiche la trajectoire des bobines 
%           point par point
% %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

function ema_animer(xmin,xmax)

%===============================
% TEST SUR LE NOMBRE D'ARGUMENTS
%===============================

if nargin < 2
   chaine_erreur = sprintf(' Nombre d''arguments insuffisants !\n Syntaxe : ema_animer(instant1,instant2)');
   errordlg(chaine_erreur, 'Erreur', 'on');
   return;
end

global EMA_FECH EMA_NUM_SAG EMA_BOB_PAL EMA_PAL_X EMA_PAL_Y EMA_X1 EMA_X2 EMA_X3 EMA_X4 EMA_Y1 EMA_Y2 EMA_Y3 EMA_Y4 ...
    EMA_BOB1 EMA_BOB2 EMA_BOB3 EMA_BOB4 EMA_ECHELLE
% Rajout CS
global EMA_X5 EMA_X6 EMA_X7 EMA_X8 EMA_X9 EMA_X10 EMA_Y5 EMA_Y6 EMA_Y7 EMA_Y8 EMA_Y9 EMA_Y10 
global EMA_BOB5 EMA_BOB6 EMA_BOB7 EMA_BOB8 EMA_BOB9 EMA_BOB10
%global COUL_B1 COUL_B2 COUL_B3 COUL_B4 COUL_B5 COUL_B6 COUL_B7 COUL_B8 COUL_B9 COUL_B10

% On rcupre les indices dans les matrices de signaux EMA
min = fix(xmin*EMA_FECH +1);
max = fix(xmax*EMA_FECH +1);

% On dfinit la table des couleurs
couleur = colormap(jet(16));

long_ema = length(EMA_X1);
if (min > long_ema) || (max > long_ema)
  errordlg(' Le curseur ne se trouve plus sur le signal !','Attention','on');
  return;
else 
  if EMA_NUM_SAG == 0
    EMA_NUM_SAG = figure('Numbertitle','off','Name','Animation coupe sagittale', 'MenuBar', 'none');
  end
  figure(EMA_NUM_SAG);
  clf;
  if EMA_BOB_PAL ~= 0
    % Affiche le contour du palais enregistr dans le fichier
    plot(EMA_PAL_X,EMA_PAL_Y,'w');
    hold on;
  end
  pas = 5;
  text(EMA_X1(min),EMA_Y1(min),EMA_BOB1,'VerticalAlignment','baseline','Color',couleur(1,:),'Interpreter','none');
  hold on;
  text(EMA_X2(min),EMA_Y2(min),EMA_BOB2,'VerticalAlignment','baseline','Color',couleur(2,:),'Interpreter','none');
  text(EMA_X3(min),EMA_Y3(min),EMA_BOB3,'VerticalAlignment','baseline','Color',couleur(3,:),'Interpreter','none');
  text(EMA_X4(min),EMA_Y4(min),EMA_BOB4,'VerticalAlignment','baseline','Color',couleur(4,:),'Interpreter','none');
  text(EMA_X5(min),EMA_Y5(min),EMA_BOB5,'VerticalAlignment','baseline','Color',couleur(5,:),'Interpreter','none');
  text(EMA_X6(min),EMA_Y6(min),EMA_BOB6,'VerticalAlignment','baseline','Color',couleur(6,:),'Interpreter','none');
  text(EMA_X7(min),EMA_Y7(min),EMA_BOB7,'VerticalAlignment','baseline','Color',couleur(7,:),'Interpreter','none');
  text(EMA_X8(min),EMA_Y8(min),EMA_BOB8,'VerticalAlignment','baseline','Color',couleur(8,:),'Interpreter','none');
  text(EMA_X9(min),EMA_Y9(min),EMA_BOB9,'VerticalAlignment','baseline','Color',couleur(9,:),'Interpreter','none');
  text(EMA_X10(min),EMA_Y10(min),EMA_BOB10,'VerticalAlignment','baseline','Color',couleur(10,:),'Interpreter','none');
 % Affiche la position des bobines point par point
  for i= min+pas : pas : max
    plot(EMA_X1(i-pas:i),EMA_Y1(i-pas:i),'.','Color',couleur(1,:));
    hold on;
    plot(EMA_X2(i-pas:i),EMA_Y2(i-pas:i),'.','Color',couleur(2,:));
    plot(EMA_X3(i-pas:i),EMA_Y3(i-pas:i),'.','Color',couleur(3,:));
    plot(EMA_X4(i-pas:i),EMA_Y4(i-pas:i),'.','Color',couleur(4,:));
    plot(EMA_X5(i-pas:i),EMA_Y5(i-pas:i),'.','Color',couleur(5,:));
    plot(EMA_X6(i-pas:i),EMA_Y6(i-pas:i),'.','Color',couleur(6,:));
    plot(EMA_X7(i-pas:i),EMA_Y7(i-pas:i),'.','Color',couleur(7,:));
    plot(EMA_X8(i-pas:i),EMA_Y8(i-pas:i),'.','Color',couleur(8,:));
    plot(EMA_X9(i-pas:i),EMA_Y9(i-pas:i),'.','Color',couleur(9,:));
    plot(EMA_X10(i-pas:i),EMA_Y10(i-pas:i),'.','Color',couleur(10,:));
    grid on;
    drawnow;
  end
  % On complte l'affichage jusqu'au max
  plot(EMA_X1(i:max),EMA_Y1(i:max),'.','Color',couleur(1,:));
  plot(EMA_X2(i:max),EMA_Y2(i:max),'.','Color',couleur(2,:));
  plot(EMA_X3(i:max),EMA_Y3(i:max),'.','Color',couleur(3,:));
  plot(EMA_X4(i:max),EMA_Y4(i:max),'.','Color',couleur(4,:));
  plot(EMA_X5(i:max),EMA_Y5(i:max),'.','Color',couleur(5,:));
  plot(EMA_X6(i:max),EMA_Y6(i:max),'.','Color',couleur(6,:));
  plot(EMA_X7(i:max),EMA_Y7(i:max),'.','Color',couleur(7,:));
  plot(EMA_X8(i:max),EMA_Y8(i:max),'.','Color',couleur(8,:));
  plot(EMA_X9(i:max),EMA_Y9(i:max),'.','Color',couleur(9,:));
  plot(EMA_X10(i:max),EMA_Y10(i:max),'.','Color',couleur(10,:));
  hold off;
  buf = sprintf('Coupe sagittale de t =%6.2f a %6.2f s',xmin,xmax);
% Attention ne pas changer cette couleur
% sinon la modification d'chelle marchera moins bien
% cf. modif_echelle.m
  title(buf,'Color','g'); %le titre est crit en green
  if EMA_ECHELLE == 1
    echelle = 'cm';
  else
    echelle='mm';
  end
  xlabel(['X ',echelle]);
  ylabel(['Y ',echelle]);
  axis('equal');
  zoom on;
end




