% %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% Fichier : ema_calc_tilt.m
% Source : Matlab
% Auteur : H. Loevenbruck
% Date de cration : 06.10.99
% Date de dernire modification : 12.09.02
% Modifi par CS le 06/11/02 : Passage  10 bobines       
% Modifi par C.S. le 17/05/04 : couleur des graphes gre par variable
% globale (COULEUR_GRAPH)
%
% Contenu : Lecture des Tilts et affichage 
%           des tilts de chaque bobine au cours 
%           du temps
% %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

function ema_calc_tilt

global ACOU_NOM_FIC COULEUR_GRAPH
global EMA_TILT EMA_TPS EMA_BOB1 EMA_BOB2 EMA_BOB3 EMA_BOB4 
global EMA_TILT_B1 EMA_TILT_B2 EMA_TILT_B3 EMA_TILT_B4 EMA_TILT_B5
% Rajout CS
global EMA_BOB5 EMA_BOB6 EMA_BOB7 EMA_BOB8 EMA_BOB9 EMA_BOB10
global EMA_TILT_B6 EMA_TILT_B7 EMA_TILT_B8 EMA_TILT_B9 EMA_TILT_B10 

if isempty(EMA_TPS)
    chaine_erreur = sprintf(' Fichier EMA non ouvert !');
    errordlg(chaine_erreur, 'Erreur', 'on');
    return;
end

figNumber=watchon;

%===========================
% Trac des tilts en 
% fonction du temps pour
% chaque bobine
%===========================

if EMA_TILT == 0
   EMA_TILT = figure('Numbertitle','off','Name','Facteurs Tilts','MenuBar', 'none', 'Position',[500 80 500 530]);
end

hfen=figure(EMA_TILT);
%colordef(hfen,'white');

% CS : on supprime la bob de ref
titre1 = sprintf('Tilt %s', EMA_BOB1);
titre2 = sprintf('Tilt %s', EMA_BOB2);
titre3 = sprintf('Tilt %s', EMA_BOB3);
titre4 = sprintf('Tilt %s', EMA_BOB4);
titre5 = sprintf('Tilt %s', EMA_BOB5);
titre6 = sprintf('Tilt %s', EMA_BOB6);
titre7 = sprintf('Tilt %s', EMA_BOB7);
titre8 = sprintf('Tilt %s', EMA_BOB8);
titre9 = sprintf('Tilt %s', EMA_BOB9);
titre10 = sprintf('Tilt %s', EMA_BOB10);

% Modif CS : subplot(5,2,1) au lieu de subplot(5,1,1)
subplot(5,2,1);plot(EMA_TPS, EMA_TILT_B1,'Color',COULEUR_GRAPH);grid on;
limX1=get(subplot(5,2,1),'Xlim');
limY1=get(subplot(5,2,1),'Ylim');
axis([limX1 limY1]);
text(limX1(1) + limX1(2)/30 ,limY1(2)+(limY1(2)-limY1(1))/8,titre1,'color','g');

subplot(5,2,3);plot(EMA_TPS, EMA_TILT_B2,'Color',COULEUR_GRAPH);grid on;
limX2=get(subplot(5,2,3),'Xlim');
limY2=get(subplot(5,2,3),'Ylim');
axis([limX2 limY2]);
text(limX2(1) + limX2(2)/30,limY2(2)+(limY2(2)-limY2(1))/8,titre2,'color','g');

subplot(5,2,5);plot(EMA_TPS, EMA_TILT_B3,'Color',COULEUR_GRAPH);grid on;
limX3=get(subplot(5,2,5),'Xlim');
limY3=get(subplot(5,2,5),'Ylim');
axis([limX3 limY3]);
text(limX3(1) + limX3(2)/30,limY3(2)+(limY3(2)-limY3(1))/8,titre3,'color','g');

subplot(5,2,7);plot(EMA_TPS, EMA_TILT_B4,'Color',COULEUR_GRAPH);grid on;
limX4=get(subplot(5,2,7),'Xlim');
limY4=get(subplot(5,2,7),'Ylim');
axis([limX4 limY4]);
text(limX4(1) + limX4(2)/30,limY4(2)+(limY4(2)-limY4(1))/8,titre4,'color','g');

subplot(5,2,9);plot(EMA_TPS, EMA_TILT_B5,'Color',COULEUR_GRAPH);grid on;
limX5=get(subplot(5,2,9),'Xlim');
limY5=get(subplot(5,2,9),'Ylim');
axis([limX5 limY5]);
text(limX5(1) + limX5(2)/30,limY5(2)+(limY5(2)-limY5(1))/8,titre5,'color','g');

subplot(5,2,2);plot(EMA_TPS, EMA_TILT_B6,'Color',COULEUR_GRAPH);grid on;
limX6=get(subplot(5,2,2),'Xlim');
limY6=get(subplot(5,2,2),'Ylim');
axis([limX6 limY6]);
text(limX6(1) + limX6(2)/30 ,limY6(2)+(limY6(2)-limY6(1))/8,titre6,'color','g');

subplot(5,2,4);plot(EMA_TPS, EMA_TILT_B7,'Color',COULEUR_GRAPH);grid on;
limX7=get(subplot(5,2,4),'Xlim');
limY7=get(subplot(5,2,4),'Ylim');
axis([limX7 limY7]);
text(limX7(1) + limX7(2)/30,limY7(2)+(limY7(2)-limY7(1))/8,titre7,'color','g');

subplot(5,2,6);plot(EMA_TPS, EMA_TILT_B8,'Color',COULEUR_GRAPH);grid on;
limX8=get(subplot(5,2,6),'Xlim');
limY8=get(subplot(5,2,6),'Ylim');
axis([limX8 limY8]);
text(limX8(1) + limX8(2)/30,limY8(2)+(limY8(2)-limY8(1))/8,titre8,'color','g');

subplot(5,2,8);plot(EMA_TPS, EMA_TILT_B9,'Color',COULEUR_GRAPH);grid on;
limX9=get(subplot(5,2,8),'Xlim');
limY9=get(subplot(5,2,8),'Ylim');
axis([limX9 limY9]);
text(limX9(1) + limX9(2)/30,limY9(2)+(limY9(2)-limY9(1))/8,titre9,'color','g');

subplot(5,2,10);plot(EMA_TPS, EMA_TILT_B10,'Color',COULEUR_GRAPH);grid on;
limX10=get(subplot(5,2,10),'Xlim');
limY10=get(subplot(5,2,10),'Ylim');
axis([limX10 limY10]);
text(limX10(1) + limX10(2)/30,limY10(2)+(limY10(2)-limY10(1))/8,titre10,'color','g');

watchoff(figNumber);
