% %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% Fichier : ema_call_traj.m
% Source : Matlab
% Auteur : H. Loevenbruck
% Date : 26.03.02
% Modifi par CS le 30/10/02 :
%   Passage  10 bobines
% Dernire modification : CS, le 16/01/07
%   passage en 3D
% Modifi par CS le 01/09/16 :
%       Passage  16 canaux
% Contenu : Appelle ema_traj.m
% %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

function ema_call_traj(numero)

%===============================
% TEST SUR LE NOMBRE D'ARGUMENTS
%===============================

if nargin < 1
   chaine_erreur = sprintf(' Nombre d''arguments insuffisants !\n Syntaxe : ema_call_traj(numero)');
   errordlg(chaine_erreur, 'Erreur', 'on');
   return;
end

global EMA_X1 EMA_X2 EMA_X3 EMA_X4 EMA_Y1 EMA_Y2 EMA_Y3 EMA_Y4
global EMA_BOB1 EMA_BOB2 EMA_BOB3 EMA_BOB4
% CS
global EMA_X5 EMA_X6 EMA_X7 EMA_X8 EMA_X9 EMA_X10 EMA_X11 EMA_X12 EMA_X13 EMA_X14 EMA_X15 EMA_X16
global EMA_Y5 EMA_Y6 EMA_Y7 EMA_Y8 EMA_Y9 EMA_Y10 EMA_Y11 EMA_Y12 EMA_Y13 EMA_Y14 EMA_Y15 EMA_Y16
global EMA_BOB5 EMA_BOB6 EMA_BOB7 EMA_BOB8 EMA_BOB9 EMA_BOB10 EMA_BOB11 EMA_BOB12 EMA_BOB13 EMA_BOB14 EMA_BOB15 EMA_BOB16
global EMA_Z1 EMA_Z2 EMA_Z3 EMA_Z4 EMA_Z5 EMA_Z6 EMA_Z7 EMA_Z8 EMA_Z9 EMA_Z10 EMA_Z11 EMA_Z12 EMA_Z13 EMA_Z14 EMA_Z15 EMA_Z16

switch numero
    case 1
        ema_traj(EMA_X1,[EMA_BOB1,'-X'])
    case 2
        ema_traj(EMA_X2,[EMA_BOB2,'-X'])
    case 3
        ema_traj(EMA_X3,[EMA_BOB3,'-X'])
    case 4
        ema_traj(EMA_X4,[EMA_BOB4,'-X'])
    case 5
        ema_traj(EMA_X5,[EMA_BOB5,'-X'])
    case 6
        ema_traj(EMA_X6,[EMA_BOB6,'-X'])
    case 7
        ema_traj(EMA_X7,[EMA_BOB7,'-X'])
    case 8
        ema_traj(EMA_X8,[EMA_BOB8,'-X'])
    case 9
        ema_traj(EMA_X9,[EMA_BOB9,'-X'])
    case 10
        ema_traj(EMA_X10,[EMA_BOB10,'-X'])
    case 11
        ema_traj(EMA_X11,[EMA_BOB11,'-X'])
    case 12
        ema_traj(EMA_X12,[EMA_BOB12,'-X'])
    case 13
        ema_traj(EMA_X13,[EMA_BOB13,'-X'])
    case 14
        ema_traj(EMA_X14,[EMA_BOB14,'-X'])
    case 15
        ema_traj(EMA_X15,[EMA_BOB15,'-X'])
    case 16
        ema_traj(EMA_X16,[EMA_BOB16,'-X'])
    case 17
        ema_traj(EMA_Y1,[EMA_BOB1,'-Y'])
    case 18
        ema_traj(EMA_Y2,[EMA_BOB2,'-Y'])
    case 19
        ema_traj(EMA_Y3,[EMA_BOB3,'-Y'])
    case 20 
        ema_traj(EMA_Y4,[EMA_BOB4,'-Y'])
    case 21
        ema_traj(EMA_Y5,[EMA_BOB5,'-Y'])
    case 22
        ema_traj(EMA_Y6,[EMA_BOB6,'-Y'])
    case 23
        ema_traj(EMA_Y7,[EMA_BOB7,'-Y'])
    case 24 
        ema_traj(EMA_Y8,[EMA_BOB8,'-Y'])
    case 25
        ema_traj(EMA_Y9,[EMA_BOB9,'-Y'])
    case 26
        ema_traj(EMA_Y10,[EMA_BOB10,'-Y'])
    case 27
        ema_traj(EMA_Y11,[EMA_BOB11,'-Y'])
    case 28
        ema_traj(EMA_Y12,[EMA_BOB12,'-Y'])
    case 29
        ema_traj(EMA_Y13,[EMA_BOB13,'-Y'])
    case 30
        ema_traj(EMA_Y14,[EMA_BOB14,'-Y'])
    case 31
        ema_traj(EMA_Y15,[EMA_BOB15,'-Y'])
    case 32
        ema_traj(EMA_Y16,[EMA_BOB16,'-Y'])
    case 33
        ema_traj(EMA_Z1,[EMA_BOB1,'-Z'])
    case 34
        ema_traj(EMA_Z2,[EMA_BOB2,'-Z'])
    case 35
        ema_traj(EMA_Z3,[EMA_BOB3,'-Z'])
    case 36
        ema_traj(EMA_Z4,[EMA_BOB4,'-Z'])
    case 37
        ema_traj(EMA_Z5,[EMA_BOB5,'-Z'])
    case 38
        ema_traj(EMA_Z6,[EMA_BOB6,'-Z'])
    case 39
        ema_traj(EMA_Z7,[EMA_BOB7,'-Z'])
    case 40
        ema_traj(EMA_Z8,[EMA_BOB8,'-Z'])
    case 41
        ema_traj(EMA_Z9,[EMA_BOB9,'-Z'])
    case 42
        ema_traj(EMA_Z10,[EMA_BOB10,'-Z'])
    case 43
        ema_traj(EMA_Z11,[EMA_BOB11,'-Z'])
    case 44
        ema_traj(EMA_Z12,[EMA_BOB12,'-Z'])
    case 45
        ema_traj(EMA_Z13,[EMA_BOB13,'-Z'])
    case 46
        ema_traj(EMA_Z14,[EMA_BOB14,'-Z'])
    case 47
        ema_traj(EMA_Z15,[EMA_BOB15,'-Z'])
    case 48
        ema_traj(EMA_Z16,[EMA_BOB16,'-Z'])
end

        

  
