% %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% Fichier : ema_get_coord_anim.m
% Source : Matlab
% Auteur : D. Lefebvre
% Date : 21.06.99
% Modifi par H. Loevenbruck 03.01.2000
% Dernire modification : CS, le 16/09/15
%   passage en 3D
%
% Contenu : Affiche la trajectoire des bobines 
%           point par point
% %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

function ema_get_coord_anim

global NUM_FEN 
global EMA_Z1

if NUM_FEN == 0
  errordlg(' Veuillez ouvrir une fenetre principale','Erreur','on');
  return;
end

figure(NUM_FEN);

% Attend que l'utilisateur ait click sur la zone  animer
% puis retourne les coordonnes
[pos_x] = ginput(2);

% On teste si on ets en 3D
if isempty(EMA_Z1)
    % Appelle la fonction d'animation 2D
    ema_animer(pos_x(1),pos_x(2));
else
    % Appelle la fonction d'animation 3D
    ema_animer_3D(pos_x(1),pos_x(2));
end
