% %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% Fichier : ema_lire_bpal.m
% Source : Matlab
% Auteur : D. Lefebvre
% Date : 21.06.99
% Modifi par H. Loevenbruck 24.09.99
% Contenu : Lecture de la bobine du palais.
% %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

function ema_lire_bpal

global EMA_BOB_PAL EMA_FIC_PAL EMA_COUP_SAG

% Teste si on est en mode enregistrement ou chargement
mod_char = findobj(gcf,'Style','checkbox','String','Charger fichier :');
mod_enr = findobj(gcf,'Style','checkbox','String','Enregistrer sous :');

%================
% Mode chargement
%================
if get(mod_char,'Value') 
  if get(mod_enr,'Value')
    errordlg(' Vous devez choisir entre enregistrer et charger','Erreur','on');
    return
  else
    EMA_COUP_SAG = 1;
    EMA_BOB_PAL = 0;
    % Lecture du nom de fichier
    edit = findobj(gcf,'Style','edit');
    temp = get(edit(2),'String');
    if ~strcmp(temp,'')
      temp = [temp,'.pal'];
      if ~ema_ouv_pal(temp)
	return;
      end
    else
      errordlg(' Veuillez donner un nom de fichier','Erreur','on');
      return
    end
  end
%====================
% Mode enregistrement
%====================
else     
  if get(mod_enr,'Value') == 0
    errordlg(' Vous devez choisir entre enregistrer et charger','Erreur','on');
    return;
  else
    EMA_COUP_SAG = 1;
    % Lecture du nom de fichier
    edit = findobj(gcf,'Style','edit');
    temp = get(edit(1),'String');
    if ~strcmp(temp,'')
      EMA_FIC_PAL = [temp,'.pal'];
    else
      errordlg(' Veuillez donner un nom de fichier','Erreur','on');
      return;
    end
    % Lecture du numro de bobine
    check = findobj(gcf,'Style','checkbox','Value',1);
    if length(check) ~= 2
      errordlg(' Veuillez slectionner une bobine','Erreur','on');
      return
    else
      for i=1 : 2
	    if check(i) ~= mod_enr
	    EMA_BOB_PAL = str2double(get(check(i),'String'));
	    end
      end      
    end
  end
end
delete(gcf);

if (EMA_COUP_SAG == 1)
  pos_curs;
end
