% %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% Fichier : ema_ouv_pal_3D.m
% Source : Matlab
% Auteur : D. Lefebvre
% Date : 21.06.99
% Modifi par H. Loevenbruck 28.09.99
% Contenu : Ouverture du fichier contenant le 
%           suivi du palais.
% Dernire modification : CS, le 07/01/16
%   passage en 3D
% %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

function [res] = ema_ouv_pal_3D(nomfic)

%===============================
% TEST SUR LE NOMBRE D'ARGUMENTS
%===============================

if nargin < 1
   chaine_erreur = sprintf(' Nombre d''arguments insuffisants !\n Syntaxe : ema_ouv_pal(nomfic)');
   errordlg(chaine_erreur, 'Erreur', 'on');
   return;
end

global EMA_PAL_X EMA_PAL_Y EMA_PAL_Z

%=================================
% Ouverture du fichier en lecture
%=================================
% Ouverture du fichier binaire avec le format : 
% IEEE floating point with little-endian byte ordering

fid = fopen(nomfic,'r','ieee-le');
if fid == -1   
  errordlg([' Fichier ',nomfic,' introuvable'],'Rsultat','on');
  res = 0;
else
  res = 1;
%  [sig,nb] = fread(fid,'ushort');
  [sig,nb_ech] = fscanf(fid, '%f',inf);
  fclose(fid);
%   % longueur du fichier
%   long_s = length(sig)
%   nb 
  % On prend un tiers du fichier pour chaque coordonnes
  EMA_PAL_X = sig(1:nb_ech/3);
  EMA_PAL_Y = sig(nb_ech/3+1:2*(nb_ech/3));
  EMA_PAL_Z = sig(2*(nb_ech/3)+1:end);
end
