% %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% Fichier : ema_traj.m
% Source : Matlab
% Auteur : D. Lefebvre
% Date : 21.06.99
% Modifi par H. Loevenbruck 24.09.99, 04.03.02
% Contenu : Trace la trajectoire d'une bobine
%          dans la fenetre principale
% %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

function ema_traj(sig,nom)

%===============================
% TEST SUR LE NOMBRE D'ARGUMENTS
%===============================

if nargin < 2
   chaine_erreur = sprintf(' Nombre d''arguments insuffisants !\n Syntaxe : ema_traj(signal, nom)');
   errordlg(chaine_erreur, 'Erreur', 'on');
   return;
end

global NUM_FEN EMA_TPS EMA_FLAG

% Teste si le calcul des trajectoires a dj t effectu
if EMA_FLAG == 0
  errordlg(' Lancer la commande ''Trajectoire'' avant de visualiser.',...
      'Erreur','on');
else
  % Si aucune fenetre n'a t ouverte, on ouvre celle par dfaut
  if NUM_FEN == 0
    fenetre(1,4,[20 90],[450 650],'Fenetre Principale');
  end 
  
  trace_graphe(sig,EMA_TPS,['TRAJ. ',nom], '-', [ 1 1 0]);
end
  
