% %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% Fichier : enr_ascii.m
% Source : Matlab
% Auteur : Loevenbruck 
% Date : 18.01.2000
% Contenu : Enregistrement de donnes ds un 
%           fichier au format ASCII.
% %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

function enr_ascii(nom_fich, fech, sig)

%===============================
% TEST SUR LE NOMBRE D'ARGUMENTS
%===============================

if nargin < 3
   chaine_erreur = sprintf(' Nombre d''arguments insuffisants !\n Syntaxe : enr_ascii(nomfic, Fe, signal)');
   errordlg(chaine_erreur, 'Erreur', 'on');
   return;
end

%=====================================
% Ouverture du fichier en criture
% et criture des donnes acoustiques
%=====================================

fid = fopen(nom_fich,'w','l');
if fid==-1
  errordlg([' Impossible d''ouvrir le fichier ', nom_fich],'Erreur','on');
else
  fprintf(fid,'%f\n', sig);
  fclose(fid);
end
