% %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% Fichier : epg_ouv_cons.m
% Source : Matlab
% Auteur : D. Lefebvre
% Date : 21.06.99
% Contenu : Lecture + affichage d'un fichier EPG
%          contenant des taux de constriction.
% %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

function epg_ouv_cons(extension,nom)


%===============================
% TEST SUR LE NOMBRE D'ARGUMENTS
%===============================

if nargin < 2
   chaine_erreur = sprintf(' Nombre d''arguments insuffisants !\n Syntaxe : epg_ouv_cons(extension, nom)');
   errordlg(chaine_erreur, 'Erreur', 'on');
   return;
end

global ACOU_NOM_FIC EPG_TPS EPG_NB_CONS EPG_NOM_CONS EPG_DATA_CONS NUM_FEN

fichier = [ACOU_NOM_FIC(1:length(ACOU_NOM_FIC)-3),extension];
fid = fopen(fichier,'r');
if fid == -1   
  errordlg([' Fichier ',fichier,' introuvable'],'Rsultat','on');
  return;
else
  % Incrmente le nombre de fichiers chargs
  EPG_NB_CONS = EPG_NB_CONS + 1;

  % Lecture des donnes
  data = fscanf(fid,'%i',inf);
  nb_ech = length(EPG_TPS);

  EPG_DATA_CONS(EPG_NB_CONS,1:nb_ech) = reshape(data(1:nb_ech),1,nb_ech);
  if ~isempty(nom)
    EPG_NOM_CONS(EPG_NB_CONS,1:length(nom)) = nom;
  end
  
  % Si aucune fenetre n'a t ouverte, on ouvre celle par dfaut
  if NUM_FEN == 0
    fenetre(1,4,[20 90],[450 650],'Fenetre Principale');
  end 

  % Affichage
  trace_graphe(EPG_DATA_CONS(EPG_NB_CONS,:),EPG_TPS,['TRAJ ',EPG_NOM_CONS(EPG_NB_CONS,:)], '-', [ 1 1 0]);
  
  % Fermeture du fichier
  fclose(fid);
end
