% %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% Fichier : epg_reg_fen.m
% Source : Matlab
% Auteur : D. Lefebvre
% Date : 21.06.99
% Dernire modification par H. Loevenbruck 12.09.02
% Contenu : Slection des rgions + sauvegarde 
%           dans fichier .usr
% %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

function epg_reg_fen(nb_reg, nom_reg)

%===============================
% TEST SUR LE NOMBRE D'ARGUMENTS
%===============================

if nargin < 2
   chaine_erreur = sprintf(' Nombre d''arguments insuffisants !\n Syntaxe : epg_reg_fen(nb_reg, nom_reg)');
   errordlg(chaine_erreur, 'Erreur', 'on');
   return;
end

global EPG_POS_ELEC EPG_NB_ELEC EPG_REGIONS

if nb_reg > 18
  errordlg(' Les numros de rgion vont de 1  18','Erreur','on');
else
  
  % Ouverture d'une fenetre
  hfen = figure('Numbertitle','off', 'MenuBar', 'none', 'Name',...
      ['Rgion ',nom_reg,' n ',num2str(nb_reg)]);
  
  % Dfinition des boutons Valider et Effacer
  taille_fen = get(hfen,'Position');
  uicontrol(hfen,'Style','frame','Position',[0 0 taille_fen(3) 50]);
  uicontrol(hfen,'Style','pushbutton','String','Effacer','Position',[taille_fen(3)/4-40 10 80 30],...
      'Callback','epg_eff_elec');
  uicontrol(hfen,'Style','pushbutton','String','Valider','Position',...
      [taille_fen(3)/2-40 10 80 30],'Callback','epg_valider');
  uicontrol(hfen,'Style','pushbutton','String','Annuler','Position',[3*(taille_fen(3)/4)-40 10 80 30],...
      'Callback','delete(gcf)');
  
  % Affichage de l'emplacement des lectrodes
  hp = plot(EPG_POS_ELEC(2,:),EPG_POS_ELEC(1,:),'x','ButtonDownFcn','epg_active_elec');
  % La rfrence tant en haut  gauche, il faut inverser les axes
  hsub = get(hp,'Parent');
  set(hsub,'XDir','Reverse');
  set(hsub,'YDir','Reverse');
  % On enlve les axes qui n'ont aucune signification
  set(hsub,'visible','off');
  text(24,-2,'Cliquer sur les lectrodes pour les slectionner','Color','g','HorizontalAlignment','center');
  
  % Recherche si des lectrodes appartiennent  cette rgion
  reg_ind = find(EPG_REGIONS(nb_reg,:) == 1);
  if ~isempty(reg_ind)
    hold on;
    plot(EPG_POS_ELEC(2,reg_ind),EPG_POS_ELEC(1,reg_ind),'r.','MarkerSize',25);
    hold off;
  end
end



