% %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% Fichier : epg_sauve_reg.m
% Source : Matlab
% Auteur : D. Lefebvre
% Date : 21.06.99
% Modifi par H. Loevenbruck 22.09.99
% Contenu : Sauvegarde les rgions dans le
%          fichier .usr
% %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

function epg_sauve_reg

global EPG_REGIONS EPG_NOM_REG EPG_NB_ELEC EPG_NOM_LOC

nomfic = [EPG_NOM_LOC,'.usr'];
fid = fopen(nomfic,'r+','l');
if fid == -1   
  errordlg([' Fichier ',nomfic,' introuvable'],'Rsultat','on');
else
  % Place le pointeur de fichier  la ligne prcdant celle des donnes
  fseek(fid,97,-1);

  % Pour chaque ligne de donnes, met  jour les rgions
  for i=1 : EPG_NB_ELEC
    fseek(fid,24,0); % Place le curseur 4 octets avant la colonne de la 1er region
    % Avance de colonne en colonne
    for k=1 : 18
      fseek(fid,3,0);
      fprintf(fid,'%i',EPG_REGIONS(k,i));
    end
  end

  % Place le pointeur dans la partie PROMPTS au dbut de TG1
  fseek(fid,24,0);
  
  % Pour chaque rgion, met  jour le nom
  for n=1 : size(EPG_NOM_REG,1)-1
    fseek(fid,10,0);
    fprintf(fid,'%s',EPG_NOM_REG(n,:)); 
    % Va  la ligne suivante
    carac = fscanf(fid,'%c',1);
    while(~strcmp(carac,'T'))
      carac = fscanf(fid,'%c',1);
    end
  end
  fseek(fid,10,0);
  fprintf(fid,'%s',EPG_NOM_REG(n+1,:)); 

  % Fermeture du fichier
  fclose(fid);
end  

