% %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% Fichier : epg_select_reg.m
% Source : Matlab
% Auteur : D. Lefebvre
% Date : 21.06.99
% Modifi par H. Loevenbruck 05.01.2000
% Contenu : Slection des lectrodes appartenant 
%            une rgion.
% %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

function epg_select_reg(elect, num_reg, nom_reg)

%===============================
% TEST SUR LE NOMBRE D'ARGUMENTS
%===============================

if nargin < 3
   chaine_erreur = sprintf(' Nombre d''arguments insuffisants !\n Syntaxe : epg_select_reg(elect, num_reg, nom_reg)');
   errordlg(chaine_erreur, 'Erreur', 'on');
   return;
end

global EPG_REGIONS EPG_NOM_REG EPG_NB_ELEC

% Slection des lectrodes appartenant  la rgion 
EPG_REGIONS(num_reg,:) = zeros(1,EPG_NB_ELEC);
for k=1 : length(elect)
  EPG_REGIONS(num_reg,elect(k)) = 1;
end

% Sauvegarde du nom de la rgion
EPG_NOM_REG(num_reg,1:length(nom_reg)) = nom_reg;
