% %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% Fichier : epg_simple.m
% Source : Matlab
% Auteur : D. Lefebvre
% Date : 21.06.99
% Modifi par H. Loevenbruck 28.09.99
% Contenu : Affiche les bobines contactes
%            l'instant donn (pos_sb).
% %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

function epg_simple(pos_sb)

%===============================
% TEST SUR LE NOMBRE D'ARGUMENTS
%===============================

if nargin < 1
   chaine_erreur = sprintf(' Nombre d''arguments insuffisants !\n Syntaxe : epg_simple(instant)');
   errordlg(chaine_erreur, 'Erreur', 'on');
   return;
end

global EPG_SIG EPG_FECH NUM_SYNC IND_SYNC COL_SYNC

nb_ech = length(EPG_SIG);

% On rcupre la colonne de la matrice des contacts
indice = pos_sb*EPG_FECH + 1;

if indice > nb_ech
  errordlg(' Le curseur ne se trouve plus sur le signal !','Attention','on');
  return;
else
  figure(NUM_SYNC);
  hsub = subplot(1,COL_SYNC,IND_SYNC);
  epg_affich_contact(indice,hsub);

  % Incremente l'index des subplots
  if IND_SYNC == COL_SYNC
    IND_SYNC = 1;
  else
    IND_SYNC = IND_SYNC + 1;
  end
end
