% %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% Fichier : epg_taux_cons.m
% Source : Matlab
% Auteur : D. Lefebvre
% Date : 21.06.99
% Modifi par H. Loevenbruck 24.09.99
% Contenu : Calcule et affiche le taux de
%         constriction de la rgion demande
% %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

function epg_taux_cons(num_reg)

%===============================
% TEST SUR LE NOMBRE D'ARGUMENTS
%===============================

if nargin < 1
   chaine_erreur = sprintf(' Nombre d''arguments insuffisants !\n Syntaxe : epg_taux_cons(num_reg)');
   errordlg(chaine_erreur, 'Erreur', 'on');
   return;
end

global EPG_SIG EPG_REGIONS EPG_FECH EPG_TPS EPG_CHANNEL EPG_NB_ELEC

% Donne le numro des lectrodes appartenant  cette rgion
num_elec = find(EPG_REGIONS(num_reg,:) == 1);

% Nombre d'lectrodes
nb_elec = length(num_elec);
if nb_elec == 0
  errordlg([' La rgion ',num2str(num_reg),' ne contient pas d''lectrode','Erreur'],'on');
else
  
  % Donne le numro des cannaux correspondants aux lectrodes
  for i=1 : length(num_elec)
    val_temp = find(EPG_CHANNEL == num_elec(i));
    if val_temp <= EPG_NB_ELEC
      num_channel = [num_channel,val_temp];
    end
  end

  if isempty(num_channel)
    errordlg([' La rgion ',num2str(num_reg),' ne contient pas d''lectrode'],'Erreur','on');
  else
    % Pour chaque chantillon de EPG_SIG, on regarde le nombre
    % d'lectrodes contactes parmi num_elec
    for nb=1 : length(EPG_SIG)
      elec_contact = find(EPG_SIG(num_channel,nb) == 1);
      tx_constrict(nb) = round((length(elec_contact)/nb_elec)*100);
    end
    
    % Affichage
    trace_graphe(tx_constrict,EPG_TPS,['TX_CONST ',num2str(num_reg)], '-', [ 1 1 0]);
  end
end
