% %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% Fichier : epg_vit.m
% Source : Matlab
% Auteur : D. Lefebvre
% Contenu : Calcule puis trace la vitesse d'une
%          constriction dans la fenetre principale
% %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

function epg_vit(sig,nom)

%===============================
% TEST SUR LE NOMBRE D'ARGUMENTS
%===============================

if nargin < 2
   chaine_erreur = sprintf(' Nombre d''arguments insuffisants !\n Syntaxe :  epg_vit(signal, nom)');
   errordlg(chaine_erreur, 'Erreur', 'on');
   return;
end

global NUM_FEN EPG_TPS EPG_FECH 

% Calcul de la vitesse
vit = calc_vit(sig,EPG_FECH);

% Affichage
% Si aucune fenetre n'a t ouverte, on ouvre celle par dfaut
if NUM_FEN == 0
    fenetre(1,4,[20 90],[450 650],'Fenetre Principale');
end 
trace_graphe(vit,EPG_TPS,['VIT. ',nom], '-', [ 1 1 0]);
