% %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% Fichier : eva_call_filt.m
% Source : Matlab
% Auteur : CS
% Date : 08/12/03
% Derniere modif : CS le 13/09/17
%   ajout du type AUX pour les signaux EVA
%
% Contenu : filtre par cheby le signal EVA choisi en entre 
% %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

function eva_call_filt(type_filtre, freq_coup, nb_interp)

global EVA_WA1 EVA_WA2 EVA_F0 EVA_EGG EVA_OAF EVA_NAF EVA_PR1 EVA_PR2 EVA_FECH1 EVA_FECH2 
global EVA_ACTIF NUM_FEN EVA_TPS1 EVA_TPS2 EVA_TPS_INT EVA_INT EVA_AUX

%===============================
% TEST SUR LE NOMBRE D'ARGUMENTS
%===============================

if nargin < 1
   chaine_erreur = sprintf(' Nombre d''arguments insuffisants !\n Syntaxe : eva_call_filt(type_eva)');
   errordlg(chaine_erreur, 'Erreur', 'on');
   return;
end
  
% Si aucune fenetre n'a t ouverte, on ouvre celle par dfaut
if NUM_FEN == 0
    fenetre(1,4,[20 90],[450 650],'Fenetre Principale');
end 

% On definit le signal EVA actif
switch EVA_ACTIF
    case 'WA1'
        sgl_eva = EVA_WA1 ;
        fech_eva = EVA_FECH1;
        tps_eva = EVA_TPS1;
    case 'WA2'
        sgl_eva = EVA_WA2 ;
        fech_eva = EVA_FECH1;
        tps_eva = EVA_TPS1;
    case 'F0'
        sgl_eva = EVA_F0 ;
        fech_eva = EVA_FECH1;
        tps_eva = EVA_TPS1;
    case 'EGG'
        sgl_eva = EVA_EGG ;
        fech_eva = EVA_FECH1;
        tps_eva = EVA_TPS1;
    case 'INT'
        sgl_eva = EVA_INT ;
        fech_eva = EVA_FECH_INT;
        tps_eva = EVA_TPS_INT;
    case 'OAF'
        sgl_eva = EVA_OAF ;
        fech_eva = EVA_FECH2;
        tps_eva = EVA_TPS2;
    case 'NAF'
        sgl_eva = EVA_NAF ;
        fech_eva = EVA_FECH2;
        tps_eva = EVA_TPS2;
    case 'PR1'
        sgl_eva = EVA_PR1 ;
        fech_eva = EVA_FECH2;
        tps_eva = EVA_TPS2;
    case 'PR2'
        sgl_eva = EVA_PR2 ;
        fech_eva = EVA_FECH2;
        tps_eva = EVA_TPS2;
    case 'AUX'
        sgl_eva = EVA_AUX ;
        fech_eva = EVA_FECH2;
        tps_eva = EVA_TPS2;
end

% On filtre en fonction du filtre retenu
if strcmp(type_filtre, 'Chebyshev')
    EVA_FILT = filtre_cheby(sgl_eva, fech_eva, freq_coup);
elseif strcmp(type_filtre, 'Spline')
    [EVA_FILT, donnees_temporelles] = filtre_spline(sgl_eva, fech_eva, nb_interp);
elseif strcmp(type_filtre, 'Remez')
    EVA_FILT = filtre_remez(sgl_eva, fech_eva);
end

trace_graphe(EVA_FILT,tps_eva,['TRAJ.', EVA_ACTIF, '-filt-', type_filtre], '-', [ 1 1 0]);


