% %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% Fichier : eva_ouv.m
% Source : Matlab
% Auteur : C. Savariaux
% Date : 25/11/03
% Derniere modif : CS le 13/09/17
%   ajout du type AUX pour les signaux EVA
%
% Contenu : Ouverture du fichier EVA spcifi.
% %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

function eva_ouv(nomfic, typefic)

%===============================
% TEST SUR LE NOMBRE D'ARGUMENTS
%===============================

if nargin < 2
   chaine_erreur = sprintf(' Nombre d''arguments insuffisants !\n Syntaxe : ouvrir(nomfic, typefic)');
   errordlg(chaine_erreur, 'Erreur', 'on');
   return;
end

global EVA_TPS1 EVA_TPS2 EVA_FECH1 EVA_FECH2 ACOU_FECH ACOU_TPS FLAG_EVA NB_EVA EVA_TPS_INT
global ACOU_SIG EVA_WA1 EVA_WA2 EVA_F0 EVA_EGG EVA_OAF EVA_NAF EVA_PR1 EVA_PR2 EVA_INT EVA_FECH_INT EVA_AUX
global ACOU_NOM_FIC ACOU_TYP_FIC

figNumber=watchon;

% ==========================================
% Si le fichier est de type WA1
% On considere ce signal comme le signal de reference acoustique
% sur lequel sera calcul le sonagramme et les formants
% ==========================================
    
if strcmp(typefic, 'WA1')
     [EVA_WA1, EVA_TPS1, EVA_FECH1] = ouv_riff(nomfic);
     ACOU_SIG = EVA_WA1;
     ACOU_FECH = EVA_FECH1;
     ACOU_TPS = EVA_TPS1;
     NB_EVA = NB_EVA + 1;
     FLAG_EVA(NB_EVA)=1;
     ACOU_TYP_FIC = 'WAV';
     ACOU_NOM_FIC = nomfic;
     watchoff(figNumber);
     return;
% % ==========================================
% % Modif CS le 8/03/2011 : pour fichier issu d'EVA1 au format PA1
% % Si le fichier est de type PA1
% % On considere ce signal comme le signal de reference acoustique
% % sur lequel sera calcul le sonagramme et les formants
% % ==========================================
% elseif strcmp(typefic, 'PA1')
%      [EVA_WA1, EVA_TPS1, EVA_FECH1] = ouv_riff(nomfic);
%      ACOU_SIG = EVA_WA1;
%      ACOU_FECH = EVA_FECH1;
%      ACOU_TPS = EVA_TPS1;
%      NB_EVA = NB_EVA + 1;
%      FLAG_EVA(NB_EVA)=1;
%      ACOU_TYP_FIC = 'WAV';
%      ACOU_NOM_FIC = nomfic;
%      watchoff(figNumber);
%      return;
 end
 
% ===============================  
% Si le fichier est de type WA2
% ===============================
    
if strcmp(typefic, 'WA2')
    [EVA_WA2, EVA_TPS1, EVA_FECH1] = ouv_riff(nomfic);
     NB_EVA = NB_EVA + 1;
     FLAG_EVA(NB_EVA)=2;
     ACOU_TYP_FIC = 'WAV';
     ACOU_NOM_FIC = nomfic;     
    watchoff(figNumber);
    return;
end
    

% ===============================  
% Si le fichier est de type F0
% ===============================
    
if strcmp(typefic, 'F0')
     NB_EVA = NB_EVA + 1;
     FLAG_EVA(NB_EVA)=3;
    [EVA_F0, EVA_TPS1, EVA_FECH1] = ouv_riff(nomfic);
    watchoff(figNumber);
    return;
end

% ===============================  
% Si le fichier est de type EGG
% ===============================
    
if strcmp(typefic, 'EGG')
    [EVA_EGG, EVA_TPS1, EVA_FECH1] = ouv_riff(nomfic);
     NB_EVA = NB_EVA + 1;
     FLAG_EVA(NB_EVA)=4;
    watchoff(figNumber);
     return;
end     
 
% ===============================  
% Si le fichier est de type INT
% ===============================
    
if strcmp(typefic, 'INT')
     NB_EVA = NB_EVA + 1;
     FLAG_EVA(NB_EVA)=5;
    [EVA_INT, EVA_TPS_INT, EVA_FECH_INT] = ouv_riff(nomfic);
    watchoff(figNumber);
    return;
end
 
% ===============================  
% Si le fichier est de type OAF
% ===============================
    
if strcmp(typefic, 'OAF')
    [EVA_OAF, EVA_TPS2, EVA_FECH2] = ouv_riff(nomfic);
     NB_EVA = NB_EVA + 1;
     FLAG_EVA(NB_EVA)=6;
    watchoff(figNumber);
    return;
 end
% ===============================  
% Si le fichier est de type NAF
% ===============================
    
if strcmp(typefic, 'NAF')
    [EVA_NAF, EVA_TPS2, EVA_FECH2] = ouv_riff(nomfic);
     NB_EVA = NB_EVA + 1;
     FLAG_EVA(NB_EVA)=7;
    watchoff(figNumber);
    return;
 end
 
% ===============================  
% Si le fichier est de type PR1
% ===============================
    
if strcmp(typefic, 'PR1')
    [EVA_PR1, EVA_TPS2, EVA_FECH2] = ouv_riff(nomfic);
     NB_EVA = NB_EVA + 1;
     FLAG_EVA(NB_EVA)=8;
    watchoff(figNumber);
    return;
 end
 
% ===============================  
% Si le fichier est de type PR2
% ===============================
    
if strcmp(typefic, 'PR2')
    [EVA_PR2, EVA_TPS2, EVA_FECH2] = ouv_riff(nomfic);
    NB_EVA = NB_EVA + 1;
    FLAG_EVA(NB_EVA)=9;
    watchoff(figNumber);
    return;
end

% ===============================  
% Si le fichier est de type AUX
% ===============================
    
if strcmp(typefic, 'AUX')
    [EVA_AUX, EVA_TPS2, EVA_FECH2] = ouv_riff(nomfic);
    NB_EVA = NB_EVA + 1;
    FLAG_EVA(NB_EVA)=10;
    watchoff(figNumber);
    return;
end
 
 
% =========================================  
% Si l'utilisateur a entr un type inconnu
% =========================================   
if ~FLAG_EVA
  message = sprintf(' Type de fichier erron.    \n Choisir parmi :\n    - WA1\n    - WA2\n    - F0\n    - EGG\n    - OAF\n    - NAF\n    - PR1\n    - PR2\n     - INT\n     - AUX\n');
  errordlg(message, 'Erreur', 'on');
end

watchoff(figNumber);
