% %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% Fichier : eva_ouv_dlg.m
% Source : Matlab
% Auteur : C. Savariaux
% Date : 03/12/03
% Contenu : Boite de saisie du nom du fichier EVA
% %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

function eva_ouv_dlg(titre)


%===============================
% TEST SUR LE NOMBRE D'ARGUMENTS
%===============================

if nargin < 1
   chaine_erreur = sprintf(' Nombre d''arguments insuffisants !\n Syntaxe : eva_ouv_dlg(titre)');
   errordlg(chaine_erreur, 'Erreur', 'on');
   return;
end


% Demande du nom du fichier de mesures
%=====================================
num_fen = dialogue(titre);
taille_fen = get(num_fen,'Position');

uicontrol(num_fen,'Style','Checkbox','String','WA1',...
    'Backgroundcolor','w',...
    'Position',[10 taille_fen(4)/2+60 taille_fen(3)/4 20]);

uicontrol(num_fen,'Style','Edit','String','.WA1',...
    'Backgroundcolor','w',...
    'Position',[taille_fen(3)/4+15 taille_fen(4)/2+60 3*taille_fen(3)/4-25 20]);

% uicontrol(num_fen,'Style','Checkbox','String','PA1',...
%     'Backgroundcolor','w',...
%     'Position',[10 taille_fen(4)/2+60 taille_fen(3)/4 20]);
% 
% uicontrol(num_fen,'Style','Edit','String','.PA1',...
%     'Backgroundcolor','w',...
%     'Position',[taille_fen(3)/4+15 taille_fen(4)/2+60 3*taille_fen(3)/4-25 20]);
    
uicontrol(num_fen,'Style','Checkbox','String','WA2',...
    'Backgroundcolor','w',...
    'Position',[10 taille_fen(4)/2+40 taille_fen(3)/4 20]);

uicontrol(num_fen,'Style','Edit','String','.WA2',...
    'Backgroundcolor','w',...
    'Position',[taille_fen(3)/4+15 taille_fen(4)/2+40 3*taille_fen(3)/4-25 20]);

uicontrol(num_fen,'Style','Checkbox','String','F0',...
    'Backgroundcolor','w',...
    'Position',[10 taille_fen(4)/2+20 taille_fen(3)/4 20]);

uicontrol(num_fen,'Style','Edit','String','.F0',...
    'Backgroundcolor','w',...
    'Position',[taille_fen(3)/4+15 taille_fen(4)/2+20 3*taille_fen(3)/4-25 20]);

uicontrol(num_fen,'Style','Checkbox','String','EGG',...
    'Backgroundcolor','w',...
    'Position',[10 taille_fen(4)/2 taille_fen(3)/4 20]);

uicontrol(num_fen,'Style','Edit','String','.EGG',...
    'Backgroundcolor','w',...
    'Position',[taille_fen(3)/4+15 taille_fen(4)/2 3*taille_fen(3)/4-25 20]);

uicontrol(num_fen,'Style','Checkbox','String','OAF',...
    'Backgroundcolor','w',...
    'Position',[10 taille_fen(4)/2-20 taille_fen(3)/4 20]);

uicontrol(num_fen,'Style','Edit','String','.OAF',...
    'Backgroundcolor','w',...
    'Position',[taille_fen(3)/4+15 taille_fen(4)/2-20 3*taille_fen(3)/4-25 20]);

uicontrol(num_fen,'Style','Checkbox','String','NAF',...
    'Backgroundcolor','w',...
    'Position',[10 taille_fen(4)/2-40 taille_fen(3)/4 20]);

uicontrol(num_fen,'Style','Edit','String','.NAF',...
    'Backgroundcolor','w',...
    'Position',[taille_fen(3)/4+15 taille_fen(4)/2-40 3*taille_fen(3)/4-25 20]);

uicontrol(num_fen,'Style','Checkbox','String','PR1',...
    'Backgroundcolor','w',...
    'Position',[10 taille_fen(4)/2-60 taille_fen(3)/4 20]);

uicontrol(num_fen,'Style','Edit','String','.PR1',...
    'Backgroundcolor','w',...
    'Position',[taille_fen(3)/4+15 taille_fen(4)/2-60 3*taille_fen(3)/4-25 20]);

uicontrol(num_fen,'Style','Checkbox','String','PR2',...
    'Backgroundcolor','w',...
    'Position',[10 taille_fen(4)/2-80 taille_fen(3)/4 20]);

uicontrol(num_fen,'Style','Edit','String','.PR2',...
    'Backgroundcolor','w',...
    'Position',[taille_fen(3)/4+15 taille_fen(4)/2-80 3*taille_fen(3)/4-25 20]);

uicontrol(num_fen,'Style','Checkbox','String','INT',...
    'Backgroundcolor','w',...
    'Position',[10 taille_fen(4)/2-100 taille_fen(3)/4 20]);

uicontrol(num_fen,'Style','Edit','String','.INT',...
    'Backgroundcolor','w',...
    'Position',[taille_fen(3)/4+15 taille_fen(4)/2-100 3*taille_fen(3)/4-25 20]);

