% %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% Fichier : eva_traj.m
% Source : Matlab
% Auteur : LN et CS
% Date : 03/12/03
% Contenu : Trace la trajectoire d'un sgl issu d'EVA
%          dans la fenetre principale
% %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

function eva_traj(sig, type_fic)

global NUM_FEN EVA_TPS1 EVA_TPS2 EVA_TPS_INT

%===============================
% TEST SUR LE NOMBRE D'ARGUMENTS
%===============================

if nargin < 2
   chaine_erreur = sprintf(' Nombre d''arguments insuffisants !\n Syntaxe : eva_traj(signal, type_fic)');
   errordlg(chaine_erreur, 'Erreur', 'on');
   return;
end

if ~isempty(strfind(type_fic,'WA1')) || ~isempty(strfind(type_fic,'WA2')) || ~isempty(strfind(type_fic,'F0')) || ~isempty(strfind(type_fic,'EGG'))
    tps = EVA_TPS1;
elseif ~isempty(strfind(type_fic,'INT'))
    tps = EVA_TPS_INT;
else
    tps = EVA_TPS2;
end


  % Si aucune fenetre n'a t ouverte, on ouvre celle par dfaut
  if NUM_FEN == 0
    fenetre(1,4,[20 90],[450 650],'Fenetre Principale');
  end 
  
if isempty(sig)
    chaine_erreur = sprintf('Pas de fichier EVA correspondant ouvert !');
    errordlg(chaine_erreur, 'Erreur', 'on');
else
    trace_graphe(sig,tps,['TRAJ. ',type_fic], '-', [ 1 1 0]);
end
