% %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% Fichier : eva_vit.m
% Source : Matlab
% Auteur : LN et CS
% Date : 03/12/03
% Contenu : Trace la vitesse d'un sgl issu d'EVA
%          dans la fenetre principale
% %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

function eva_vit(sig, nom)

global NUM_FEN EVA_FECH1 EVA_FECH2 EVA_TPS1 EVA_TPS2 CHEBY_FREQ_COUP
global EVA_TPS_INT EVA_FECH_INT

%===============================
% TEST SUR LE NOMBRE D'ARGUMENTS
%===============================

if nargin < 2
   chaine_erreur = sprintf(' Nombre d''arguments insuffisants !\n Syntaxe : eva_vit(sig, nom)');
   errordlg(chaine_erreur, 'Erreur', 'on');
   return;
end

  % Si aucune fenetre n'a t ouverte, on ouvre celle par dfaut
  if NUM_FEN == 0
    fenetre(1,4,[20 90],[450 650],'Fenetre Principale');
  end 

if strcmp(nom,'WA1') | strcmp(nom,'WA2') | strcmp(nom,'F0') | strcmp(nom,'EGG')
    fech = EVA_FECH1;
    tps = EVA_TPS1;
elseif strcmp(nom,'INT')
    fech= EVA_FECH_INT;
    tps = EVA_TPS_INT;
else
    fech= EVA_FECH2;
    tps = EVA_TPS2;
end


if isempty(sig)
    chaine_erreur = sprintf('Pas de fichier EVA correspondant ouvert !');
    errordlg(chaine_erreur, 'Erreur', 'on');
    return;
else
    % Calcul de la vitesse
    temp_vit = calc_vit(sig,fech);

    if CHEBY_FREQ_COUP ~= 0
        disp('Vitesse Filtre !');
        % On garde les memes caracteristiques de filtrage que pour Passe bas
        [vit] = filtre_cheby(temp_vit, fech, CHEBY_FREQ_COUP);
    else
        vit = temp_vit;
    end
    %ORD_FILT = 5;
    %FREQ_COUP = 20;
    %[C D] = cheby1(ORD_FILT,0.15, (2*FREQ_COUP)/fech);
    %[vit] = filtfilt(C,D,temp_vit);

    trace_graphe(vit,tps,['VIT. ',nom], '-', [ 1 1 0]);
end

