% %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% Fonction : exemple_ema_vit_tang('nom_fich_ema', 'nom_fich_wav')
% 
% Utilisation : exemple_ema_vit_tang('Q:\Matlab\trap\trap_v5\exemples\data\av_ou_1_001.mat', 'Q:\Matlab\trap\trap_v5\exemples\data\av_ou_1_1.wav')
% Source : Matlab
% Auteurs : C. Savariaux & H. Loevenbruck
% Date de cration : 8 mars 2000
% Dernire modification : 18 mars 2003
%          
% %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
function exemple_ema_vit_tang(nom_fich_ema, nom_fich_wav)

% Lancement de l'application
trap;

% Initialisation des variables globales
ACOU_FECH = 20000;     % Freq. d'chantillonnage du signal acoustique
EMA_FECH = 500;        % Freq. d'chantillonnage du signal EMA
CHEBY_FREQ_COUP = 20;    % Freq de coupure du Pbas de Chebychev
% si CHEBY_FREQ_COUP=0 pas de filtrage (des donnes, de la vitesse ou de l'acclration)
EMA_ECHELLE = 1;    % Unit de visualisation en centimtre

% Dfinition du nom des bobines
EMA_BOB1 = 'NEZ';     
EMA_BOB2 = 'INC-SUP';
EMA_BOB3 = '';
EMA_BOB4 = 'LEV-SUP';
EMA_BOB5 = 'LEV-INF';
EMA_BOB6 = 'TNG-BACK';    
EMA_BOB7 = 'TNG-DOS';
EMA_BOB8 = 'TNG-MILI';
EMA_BOB9 = 'TNG-APEX';
EMA_BOB10 = 'JAW';     

% Chargement du fichier binaire de donnes EMA et WAV
ema_ouv_mat(nom_fich_ema);
acou_ouv(nom_fich_wav, 'WAV');

% Ouverture des fenetres principales et synchrones
fenetre(2,5,[20 90],[900 500],'Fenetre principale');

% Mise en forme des donnes EMA
ema_traitement;

% Affichage des trajectoires, vitesses et acclrations de quelques bobines
% ---------------------------------------------------------------------------
ema_traj(EMA_Y9,[EMA_BOB9,'-Y']);

graphe_suivant;
ema_traj(EMA_Y10,[EMA_BOB10,'-Y']);

graphe_suivant;
ema_vit_tang(EMA_X4,EMA_Y4,[EMA_BOB4,'']);
my_axis = axis;
modif_echelle(my_axis(1), my_axis(2), -1 , my_axis(4));

graphe_suivant;
ema_vit_tang(EMA_X5,EMA_Y5,[EMA_BOB5,'']);
my_axis = axis;
modif_echelle(my_axis(1), my_axis(2), -1 , my_axis(4));

graphe_suivant;
ema_traj(EMA_Y6,[EMA_BOB6,'-Y']);

graphe_suivant;
ema_traj(EMA_Y6,[EMA_BOB6,'-Y']);

graphe_suivant;
CHEBY_FREQ_COUP=0; % Pour ne pas appliquer de filtrage
ema_acc(EMA_X6,[EMA_BOB6,'-X']);

graphe_suivant;
CHEBY_FREQ_COUP=0; % Pour ne pas appliquer de filtrage
ema_acc_old(EMA_X6,[EMA_BOB6,'-X-OLD']);

% Visualisation du signal acoustique
graphe_suivant;
acou_signal;

% Visualisation du spectrogramme
ACOU_ORD_FFT = 512;
ACOU_LONG_FEN = 128;
ACOU_FEN_TMP = hanning(ACOU_LONG_FEN);  % Vecteur colonne
ACOU_OVER_FEN = 64;
graphe_suivant;
acou_spectro;

curseur(2.2);


