% %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% Fonction : exemple_etiq2('nom_fich_wav', 'nom_fich_etiq')
%
% Utilisation : exemple_etiq2('M:\Matlab\trap\trap_v5\exemples\data\cs_pg4.wav', 'M:\Matlab\trap\trap_v5\exemples\data\cs_pg4.textgrid')
% Source : Matlab
% Auteur : H. Loevenbruck
% Date de cration : 14.10.99
% Date de dernire modification : 18.03.2003
% Contenu : Fichier d'exemple pour les tiquettes
% %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
function exemple_etiq1(nom_fich_wav, nom_fich_etiq)


% Lancement de l'application
trap;

% Initialisation des variables globales
ACOU_FECH = 20000;     % Freq. d'echantillonnage du signal acoustique
NIV_ETIQ = 12;
for i = 1:NIV_ETIQ 
  COULEUR_ETIQ(i,:) =  (1 - 1/(4*i)) *[0  0.99 0];   % pour conserver des intensites de vert entre 0 et 1
end
TYPE_ETIQ(:,:)='';
TYPE_ETIQ(1,1:length('Phontique'))='Phontique';
TYPE_ETIQ(2,1:length('Tonal'))='Tonal';
TYPE_ETIQ(3,1:length('Break Index'))='Break Index';
TYPE_ETIQ(4,1:length('Mismatch'))='Mismatch';
TYPE_ETIQ(5,1:length('Commentaire'))='Commentaire';
TYPE_ETIQ(6,1:length('Niveau 6'))='Niveau 6';
TYPE_ETIQ(7,1:length('Niveau 7'))='Niveau 7';
TYPE_ETIQ(8,1:length('Niveau 8'))='Niveau 8';
TYPE_ETIQ(9,1:length('Niveau 9'))='Niveau 9';
TYPE_ETIQ(10,1:length('Niveau 10'))='Niveau 10';
TYPE_ETIQ(11,1:length('Niveau 11'))='Niveau 11';
TYPE_ETIQ(12,1:length('Niveau 12'))='Niveau 12';

% Chargement du fichier de donnes acoustiques
acou_ouv(nom_fich_wav, 'WAV');

% Ouverture des fenetres principales et synchrones
fenetre(1,1,[20 90],[800 500],'Fenetre principale');

% Affichage du signal acoustique
acou_signal;

% Ouverture du fichier d'tiquettes
ouv_etiq(nom_fich_etiq)

curseur(3.46);

