% %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% Fonction : exemple_etiq4('nom_fich_wav', 'nom_fich_rep')
%
% Utilisation : exemple_etiq4('Q:\Matlab\trap\trap_v5\exemples\data\av_ou_1_1.wav', 'Q:\Matlab\trap\trap_v5\exemples\data\exemple.rep')
% Source : Matlab
% Auteur : H. Loevenbruck
% Date de cration : 14.10.99
% Date de dernire modification : 18.03.2003
% Contenu : Fichier d'exemple pour les tiquettes
% %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
function exemple_etiq4(nom_fich_wav, nom_fich_rep)

% Lancement de l'application
trap;

% Initialisation des variables globales
ACOU_FECH = 20000;     % Freq. d'echantillonnage du signal acoustique

TYPE_ETIQ(:,:) = '';
for i = 1:NIV_ETIQ 
  nom_niveau = sprintf('Niveau %d', i);
  TYPE_ETIQ(i,1:length(nom_niveau)) = nom_niveau;
end

% Chargement du fichier de donnes acoustiques
acou_ouv(nom_fich_wav, 'WAV');

% Ouverture des fenetres principales et synchrones
fenetre(1,2,[20 90],[800 500],'Fenetre principale');

% Affichage du signal acoustique
acou_signal;

% Sinon Chargement puis affichage du fichier contenant la F0
%graphe_suivant;
%acou_signal;
%acou_affich_f0('anonymat_c_lf0.asc','asc1',100);

% Ouverture du fichier de repres, comme si c'etait un fichier d'tiquettes
ouv_etiq(nom_fich_rep)

curseur(3.46);

