% %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% Fichier : exemple_moy.m
% Source : Matlab
% Auteur : H. Loevenbruck
% Date de cration : 01.04.2000
% Date de dernire modification : 03.04.02
% Contenu : Fichier d'exemple pour les repres
%           de moyenne entre 2 points
% %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

% Lancement de l'application
trap;

% Initialisation des variables globales
ACOU_FECH = 20000;     % Freq. d'chantillonnage du signal acoustique
EMA_FECH = 500;        % Freq. d'chantillonnage du signal EMA
EMA_ECHELLE = 1;    % Unit de visualisation en centimtre
CHEBY_FREQ_COUP = 20;    % Freq de coupure du Pbas de Chebychev
% si CHEBY_FREQ_COUP=0 pas de filtrage (des donnes, de la vitesse ou de l'acclration)

% Dfinition du nom des bobines
EMA_BOB1 = 'NEZ';     
EMA_BOB2 = 'INC-SUP';
EMA_BOB3 = '';
EMA_BOB4 = 'LEV-SUP';
EMA_BOB5 = 'LEV-INF';
EMA_BOB6 = 'TNG-BACK';    
EMA_BOB7 = 'TNG-DOS';
EMA_BOB8 = 'TNG-MILI';
EMA_BOB9 = 'TNG-APEX';
EMA_BOB10 = 'JAW';  

% Chargement du fichier binaire de donnes articulatoires
% ancienne syntaxe : acou_ouv(nom_fich_ema, 'EMA');
ema_ouv_mat('Q:\Matlab\trap\trap_v5\exemples\data\av_ou_1_001.mat');

% Chargement du fichier binaire de donnes acoustiques
acou_ouv('Q:\Matlab\trap\trap_v5\exemples\data\av_ou_1_1.wav', 'WAV');

% Mise en forme des donnes EMA
ema_traitement;

% Ouverture de fenetre principale
fenetre(1,3,[20 90],[800 500],'Fenetre principale');

% Affichage du signal acoustique
acou_signal;

% Affichage des trajectoires, vitesses et acclrations de quelques bobines
graphe_suivant;
ema_traj(EMA_X4,[EMA_BOB4,'-X']);

% Affichage des trajectoires, vitesses et acclrations de quelques bobines
graphe_suivant;
ema_traj(EMA_Y4,[EMA_BOB4,'-Y']);

%Recherche "a la souris" de la moyenne sur EMA_BOB1
%minmaxppz(4,'EMA','auto')
%minmaxppz(4,'EMA','manuel') 

% Recherche "a la main" de la moyenne entre t = 1.5 et t = 2.5 :
indice_deb = 1.5 * EMA_FECH + 1;
indice_fin = 2.5 * EMA_FECH + 1;

INDEX = 2;
active_graphe;
rep_moy(EMA_X4(indice_deb:indice_fin ), EMA_FECH, EMA_TPS(indice_deb :indice_fin));

INDEX = 3;
active_graphe;
rep_moy(EMA_Y4(indice_deb:indice_fin ), EMA_FECH, EMA_TPS(indice_deb :indice_fin));


