% %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% 
% Source : Matlab
% Auteur : H. Loevenbruck
% Date de cration : 18.09.02
% Date de dernire modification : 
% Contenu : Fichier d'exemple pour les donnes 
%           de paramtres TACLE du fichier .tac
% %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
clear all;
close all;
nom_fich_acoust='M:\Matlab\trap\trap_v5\exemples\data\marie10_m.wav';
nom_fich_art='M:\Matlab\trap\trap_v5\exemples\data\marie10.tac';
nom_fich_textgrid='M:\Matlab\trap\trap_v5\exemples\data\marie10_m.TextGrid';


% cd d:\Users\Hlne\ICP\TRAP_V3\Exemples
% cd 'M:\Matlab\trap\trap_mem'

global pos_debut pos_fin

% Lancement de l'application
trap;

% Initialisation des variables globales
ACOU_FECH = 44100;   % Freq. d'chantillonnage du signal acoustique
REP_SEUIL=2;

% Chargement du fichier acoustique binaire
acou_ouv(nom_fich_acoust, 'WAV') 

% Ouverture des fenetres principales et synchrones
fenetre(1,4,[20 90],[800 650],'Fenetre principale');

% Visualisation du signal acoustique
acou_signal;
titre_signal = sprintf(nom_fich_art);
titre(titre_signal);

% Nombre et nom des paramtres souhaits
MES_NB = 4;
MES_NOM(1,1:length('A')) = 'A';
MES_NOM(2,1:length('B')) = 'B';
MES_NOM(3,1:length('S')) = 'S';
MES_NOM(4,1:length('P1')) = 'P1';

% Frquence d'chantillonage des donnes TACLE
MES_FECH = 50;

% Ouverture du fichier TACLE 
tac_ouv(nom_fich_art);


% Filtrage de S
fcc=10;
mes_filt1 = filtre_cheby(MES_DATA(3,:),MES_FECH,fcc);
%mes_filt2 = filtre_pbas_CS(MES_DATA(3,:),MES_FECH,7,fcc);

% Trac de S
graphe_suivant;
trace_graphe(MES_DATA(3,:),MES_TPS,'S', '-', [ 1 1 0]);
%trace_graphe(mes_filt1,MES_TPS,'S-filt', '-', [ 1 1 0]);
%MES_DATA(3,:)

% Trac de vitesse
graphe_suivant;
%mes_vit(MES_DATA(3,:),'S');
mes_vit(mes_filt1,'filt');
%trace_graphe(mes_filt1,MES_TPS,'S', '-', [ 1 1 0]);

%Trac de P1
graphe_suivant;
trace_graphe(MES_DATA(4,:),MES_TPS,'P1', '-', [ 1 1 0]);

ouv_etiq(nom_fich_textgrid)
%pos_debut
%pos_fin

%Calcul des repres min-max-ppz-moy et sauvegarde des donnes
INDEX = 2;
active_graphe;

