% %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% Fonction : exemple_acous('nom_fich_wav')
%
% Utilisation : exemple_acous('Q:\scripts_matlab\trap\trap_v5\exemples\data\wav\jls_pata_1.wav')
% Source : Matlab
% Auteur : D. Lefebvre
% Date de cration : 21.06.99
% Modifi par C. Savariaux et H. Loevenbruck
% Dernire Modification CS le 02/06/04
% Contenu : Fichier d'exemple de traitement acoustique
% %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
function exemple_acous(nom_fich_wav)

% Lancement de l'application
trap;

% Initialisation des variables globales
ACOU_FECH = 20000;     % Freq. d'chantillonnage du signal acoustique

% Ouverture du fichier son
acou_ouv(nom_fich_wav, 'WAV');

% Ouverture de la fenetre principale
fenetre(1,2,[20 90],[800 500],'Fenetre principale');
% Ouverture de 3 subplot ds la fenetre synchrone
synchrone(3,[20 620],[1000 300],'Fenetre synchrone');

% Visualisation du signal acoustique (filtr)
acou_signal;

% Visualisation du spectrogramme
ACOU_OVER_FEN = 64;
graphe_suivant;
acou_spectro;

% Dtermination des formants + affichage sur le spectrog.
SUPERPOSE=1;
% La premiere fois
%acou_detect_form;
%on les sauve dans un fichier
%enr_formant('Q:\scripts_matlab\trap\trap_v5\exemples\data\wav\jls_pata_1_formant.txt');

% A partir de la seconde fois
acou_affich_form('Q:\scripts_matlab\trap\trap_v5\exemples\data\wav\jls_pata_1_formant.txt','ASC')

SUPERPOSE=0;

my_axis = axis;
modif_echelle(my_axis(1), my_axis(2), 0 , 5000);

% Visualisation du spectre du signal, de la LPC, du cepstre  t = 0.83 sec
ACOU_ORD_FFT = 512;
ACOU_LONG_FEN = 128;
ACOU_FEN_TMP = hanning(ACOU_LONG_FEN);  % Vecteur colonne
ACOU_CALC_FFT = 1;
ACOU_ORD_LPC = 44;
ACOU_CALC_LPC = 1;
ACOU_CEPS_VIS = 4; % Locuteur Homme
ACOU_CALC_CEPS = 1;

zoom_in(0.7,1.2);

curseur(0.83);

