% %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% Fonction : exemple_didier('nom_fich_ema', 'nom_fich_wav','nom_fich_pal')
% 
% Source : Matlab
% Auteurs : C. Savariaux
% Date de cration : 1 mars 2002
% Dernire modification : 2 novembre 2009
% 
% exemple_didier('E:\AG200\RD_080925\mat\carry_sent_001.mat', 'E:\AG200\RD_080925\wav\carry_sent_1.wav','E:\AG200\RD_080925\mat\palais_rita.pal')
% %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
function exemple_didier(nom_fich_ema, nom_fich_wav, nom_fich_pal)


% Lancement de l'application
trap;

% Initialisation des variables globales
ACOU_FECH = 22050;     % Freq. d'chantillonnage du signal acoustique
EMA_FECH = 200;        % Freq. d'chantillonnage du signal EMA
CHEBY_FREQ_COUP = 20;    % Freq de coupure du Pbas de Chebyshev
% si CHEBY_FREQ_COUP=0 pas de filtrage (des donnes, de la vitesse ou de l'acclration)
EMA_ECHELLE = 1;    % Unit de visualisation en centimtre

% Dfinition du nom des bobines
EMA_BOB1 = 'NEZ';     
EMA_BOB2 = 'INC-SUP';
EMA_BOB3 = 'INC-INF';
EMA_BOB4 = 'LEV-SUP';
EMA_BOB5 = 'LEV-INF';
EMA_BOB6 = 'TNG-APEX';    
EMA_BOB7 = 'TNG-DOS';
EMA_BOB8 = 'VELUM';
EMA_BOB9 = '';
EMA_BOB10 = '';     

% NOTE :  bien faire avant d'ouvrir les fenetres
% Chargement du fichier de donnes articulatoires
ema_ouv_mat(nom_fich_ema);

% Chargement du fichier de donnes acoustiques
acou_ouv(nom_fich_wav, 'WAV');

% Ouverture des fenetres principales et synchrone
% Ouverture de 10 subplot sur 2 colonnes
fenetre(1,6,[20 90],[900 900],'Fenetre principale');
% Ouverture du subplot 
synchrone(1,[600 400],[500 500],'Fenetre synchrone');

% Mise en forme des donnes EMA
ema_traitement;

%CHEBY_FREQ_COUP = 20;
% Affichage des trajectoires, vitesses et acclrations de quelques bobines
% ---------------------------------------------------------------------------
% Trajectoire de la bobine 7 en X : bobine Dos
ema_traj(EMA_X7,[EMA_BOB7,'-X']);

% Trajectoire de la bobine 7 en Y : bobine dos
graphe_suivant;
ema_traj(EMA_Y7,[EMA_BOB7,'-Y']);

% Trajectoire de la bobine 8 en X : bobine velum
graphe_suivant;
ema_traj(EMA_X8,[EMA_BOB8,'-X']);

% Trajectoire de la bobine 8 en Y
graphe_suivant;
ema_traj(EMA_Y8,[EMA_BOB8,'-Y']);

% Visualisation du signal acoustique
graphe_suivant;
acou_signal;

% Visualisation du spectrogramme
ACOU_OVER_FEN = 64;
graphe_suivant;
acou_spectro;

% zoom sur une partie du signal
%zoom_in(2,2.5);


% Chargement du fichier contenant le contour du palais
EMA_BOB_PAL = 0; % pas d'ouverture de fenetre supplmentaire
%ema_ouv_pal('Q:\scripts_matlab\trap\trap_v6\exemples\data\ema\jls_palais.pal');
ema_ouv_pal(nom_fich_pal);

% Visualisation de la coupe sagittale  t = 1.5 sec
EMA_COUP_SAG = 1; 
curseur(1.5);

% animation sur une rptition de t = 0.2 sec  1.8
ema_animer(0.2,1.8)
