% %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% Fichier : exemple_epg.m
% Source : Matlab
% Auteur : D. Lefebvre
% Date de cration : 21.06.99
% Dernire Modif : CS le 18/05/04 
% Contenu : Fichier d'exemple pour les donnes EPG
%           du fichier m009s2.nsp
% %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

% Lancement de l'application
trap;

% Initialisation des variables globales servant a l'ouverture du
% fichier
EPG_NOM_LOC = 'Q:\scripts_matlab\trap\trap_v5\exemples\data\epg\mbeckman';   % Nom du fichier .usr
ACOU_FECH = 12800;              % Freq. d'echantillonnage du signal acoustique
EPG_FECH = 100;                 % Freq. d'echantillonnage du signal EPG

% Chargement du fichier binaire
acou_ouv('Q:\scripts_matlab\trap\trap_v5\exemples\data\epg\mbeckman.nsp', 'EPG');

% Ouverture des fenetres principales et synchrones
fenetre(1,6,[20 90],[600 700],'Fenetre principale');
synchrone(2,[630 420],[500 300],'Fenetre synchrone');

% Visualisation du signal acoustique
acou_signal;

% Visualisation du spectrogramme
ACOU_ORD_FFT = 512;
ACOU_LONG_FEN = 128;
ACOU_FEN_TMP = hanning(ACOU_LONG_FEN);  % Vecteur colonne
ACOU_OVER_FEN = 64;
graphe_suivant;
acou_spectro;

% Visualisation des TTCL et TTCD
graphe_suivant;
epg_ouv_cons('ca1','TTCLoc');
modif_trait('--');

%Recherche des maxima sur TTCLoc
minmaxppz(2,'EPG','auto')

graphe_suivant;
epg_ouv_cons('ca2','TTCDeg');

% Visualisation des vitesses des TTCL et TTCD
graphe_suivant;
epg_vit(EPG_DATA_CONS(1,:),'TTCLoc');
modif_trait('--');

graphe_suivant;
epg_vit(EPG_DATA_CONS(2,:),'TTCDeg');

% Visualisation du spectre du signal et des palais simple et sries 
% t=0.85 sec
ACOU_CALC_FFT = 1;
EPG_PAL_SIMPLE = 1;
EPG_PAL_SERIE = 1;
EPG_NB_PAL = 3;

curseur(0.85);
