% %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% Fichier : exemple_eva.m
% Source : Matlab
% Auteur : C. Savariaux
% Date de cration : 02/12/03
% Derniere modif : CS le 01/06/04
%
% Contenu : Fichier d'exemple pour les donnes 
%           issues d'EVA 
% %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

% Lancement de l'application
trap;

CHEBY_FREQ_COUP = 20;    % Freq de coupure du Pbas de Chebyshev
% si CHEBY_FREQ_COUP=0 pas de filtrage (des donnes, de la vitesse ou de l'acclration)

% ouverture du fichier Wav
% On considere ce signal comme signal de ref Wav sur lequel on applique le
% spectrogramme
eva_ouv('P:\scripts_matlab\trap\trap_v6\exemples\data\eva\pb_pana.wa1','WA1');

% Ouverture des fenetres principales et synchrones
fenetre(1,7,[20 90],[800 650],'Fenetre principale');

% Visualisation du signal acoustique
acou_signal;
titre_signal = sprintf('pana pana');
titre(titre_signal);

% ouverture du fichier de F0
eva_ouv('P:\scripts_matlab\trap\trap_v6\exemples\data\eva\pb_pana.F0','F0');

% Visualisation
graphe_suivant;
eva_traj(EVA_F0, 'F0');

% calcule et trac de la vitesse de F0
graphe_suivant;
CHEBY_FREQ_COUP = 0; % pour ne pas filtrer la vitesse
eva_vit(EVA_F0, 'F0');

% ouverture du fichier oaf
eva_ouv('P:\scripts_matlab\trap\trap_v6\exemples\data\eva\pb_pana.oaf','OAF');

% Visualisation
graphe_suivant;
eva_traj(EVA_OAF, 'OAF');

% ouverture du fichier naf
eva_ouv('P:\scripts_matlab\trap\trap_v6\exemples\data\eva\pb_pana.naf','NAF');

% Visualisation
graphe_suivant;
eva_traj(EVA_NAF, 'NAF');

% ouverture du fichier de pression
eva_ouv('P:\scripts_matlab\trap\trap_v6\exemples\data\eva\pb_pana.pr1','PR1');

% Visualisation
graphe_suivant;
eva_traj(EVA_PR1, 'PR1');

% on filtre les donnes
CHEBY_FREQ_COUP = 20;
[EVA_PR1_filt] = filtre_cheby(EVA_PR1, EVA_FECH2, CHEBY_FREQ_COUP);
graphe_suivant;
eva_traj(EVA_PR1_filt, 'PR1-filt');

zoom_in(11.5, 14.5);
titre_fen_princ(13, 2, 'Fichier pb-pana.wav')
