% %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% Fonction : exemple_formants('nom_fich_wav')
%
% Utilisation : exemple_formants('Q:\scripts_matlab\trap\trap_v5\exemples\data\wav\marie_iksty.wav')
% Source : Matlab
% Auteur : H. Loevenbruck
% Date de cration : 28.10.02
% Date de dernire modification : 18.03.03
% Contenu : Dtection de formants 
%           ou affichage de formants calculs pralablement
% %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
function exemple_formants(nom_fich_wav)

% Lancement de l'application
trap;

% Initialisation des variables globales
ACOU_FECH = 44100;   % Freq. d'chantillonnage du signal acoustique
ACOU_ORD_FFT = 512;
ACOU_LONG_FEN = 128;
ACOU_FEN_TMP = 128;  % specgram prendra Hanning(ACOU_FEN_TMP)
ACOU_OVER_FEN = 64; % ACOU_OVER_FEN is the number of samples the sections of sig overlap

ACOU_STEP_FRM = 0.010; % pas du traitement formantique en s
ACOU_LENGTH_FRM = 0.032; % longueur de la fenetre pour le traitement formantique en s

% Chargement du fichier acoustique binaire
acou_ouv(nom_fich_wav, 'WAV') 

% Ouverture des fenetres principales et synchrones
fenetre(1,2,[20 60],[800 680],'Fenetre principale');

% Visualisation du signal acoustique
acou_signal;
titre_signal = sprintf('iksty');
titre(titre_signal);
graphe_suivant;

% Visualisation du spectrogramme
acou_spectro;
mes_axes = axis;

% Determination des formants + affichage sur le spectrog.
SUPERPOSE = 1;

% La premire fois : dtection et enregistrement des formants
%acou_detect_form;
%enr_formant('Q:\scripts_matlab\trap\trap_v5\exemples\data\wav\marie_iksty_form.txt');

% La deuxime fois : simple affichage des formants enregistrs :
acou_affich_form('Q:\scripts_matlab\trap\trap_v5\exemples\data\wav\marie_iksty_form.txt', 'ASC');
modif_echelle(mes_axes(1),mes_axes(2),  0, 5000);

SUPERPOSE = 0;

% Zoom sur la partie de signal interessante
INDEX = 1;
active_graphe;
curseur(0.6);

% titre de la fenetre
% les coordonnes sont calcules 
% par rapport aux axes du premier subplot
titre_fen_princ(0.5, 0.3, 'marie-iksty');
