% %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% Fichier : exemple_tac.m
% Source : Matlab
% Auteur : C. Savariaux
% Date de cration : 18.09.02
% Date de dernire modification : CS le 18/05/04
% Contenu : Fichier d'exemple pour les fichiers 
%           de paramtres labiaux issus de TACLE (.tac)
% %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

% Lancement de l'application
trap;

CURSEUR = 1; % On ne veut pas de curseur temporel
% COULEUR_GRAPH = [0 0 0];
% COULEUR_FOND = [1 1 1];
% COULEUR_ACTIVE = [.3 .3 .3];
% COULEUR_AXES = [0 0 0];

% Initialisation des variables globales
ACOU_FECH = 44100;   % Freq. d'chantillonnage du signal acoustique
CHEBY_FREQ_COUP = 10; % Freq. coupure pour le filtrage des mesures

% Chargement du fichier acoustique binaire
% acou_ouv('Q:\scripts_matlab\trap\trap_v5\exemples\data\tac\marie_skult.wav', 'WAV') 
acou_ouv('W:\jls\anticipation_AV\wav\JLS_syl_cont.wav', 'WAV') 

% Ouverture des fenetres principales et synchrones
fenetre(1,4,[20 90],[800 650],'Fenetre principale');

% Visualisation du signal acoustique
acou_signal;
titre_signal = sprintf('locuteur SK');
titre(titre_signal);

% Visualisation du spectrogramme
graphe_suivant;
ACOU_ORD_FFT = 1024;
ACOU_LONG_FEN = 128;
ACOU_FEN_TMP = hanning(ACOU_LONG_FEN);  % Vecteur colonne
ACOU_OVER_FEN = 64;

% Determination des formants + affichage sur le spectrog.
nom_fich_frm='W:\jls\anticipation_AV\wav\JLS_syl_cont.frm';
acou_spectro;
mes_axes = axis;
SUPERPOSE = 1;
%acou_detect_form;
%enr_formant(nom_fich_frm)
modif_echelle(mes_axes(1),mes_axes(2),  0, 5000);
SUPERPOSE = 1;
acou_affich_form(nom_fich_frm,'ASC')

% intensit
graphe_suivant;
acou_intensite;

% Nombre et nom des paramtres souhaits
MES_NB = 1;
MES_NOM(1,1:length('B')) = 'B';
%MES_NOM(2,1:length('B')) = 'B';
%MES_NOM(3,1:length('S')) = 'S';
%MES_NOM(4,1:length('P1')) = 'P1';

% Frquence d'chantillonage des donnes TACLE
MES_FECH = 50;

% La premiere fois, le fichier .lev n'existe pas
% Ouverture du fichier TACLE 
tac_ouv('W:\jls\anticipation_AV\resu\JLS_syl_cont.tac');

% A partir de la seconde fois
%mes_ouv('Q:\scripts_matlab\trap\trap_v5\exemples\data\tac\marie_skult.lev');

% Trac de A
%graphe_suivant;
%trace_graphe(MES_DATA(1,:),MES_TPS,'A', '.', COULEUR_GRAPH);

% Trac de B
graphe_suivant;
trace_graphe(MES_DATA(1,:),MES_TPS,'B', '.', COULEUR_GRAPH);

% Trac de S
%graphe_suivant;
%trace_graphe(MES_DATA(3,:),MES_TPS,'S', '.', COULEUR_GRAPH);

% Trac de P1
%graphe_suivant;
%trace_graphe(MES_DATA(4,:),MES_TPS,'P1', ':', COULEUR_GRAPH);

% on filtre P1 
%graphe_suivant;
%P1_filt = filtre_cheby(MES_DATA(4,:), MES_FECH, CHEBY_FREQ_COUP);
%trace_graphe(P1_filt,MES_TPS,'P1-filt', '-', COULEUR_GRAPH);

% et on calcule sa vitesse
%graphe_suivant;
%mes_vit(P1_filt,'P1-filt')

% on zoom
%zoom_in(0.5, 2)
curseur(7.2)
