% %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% Fichier : filtre_cheby.m
% Source : Matlab
% Auteur : CS
% Date : 21.06.99
% Contenu : Filtrage Passe bas des donnes par filtrage de Chebyshev
% Modif le 11/12/03 : calcul automatique des parametres du filtre
%                     passage de la freq de coupure du filtre en parametre
% %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

function [sig_filt] = filtre_cheby(sig, fech, freq_coup)

fc=0;
fc1=0;

%===============================
% TEST SUR LE NOMBRE D'ARGUMENTS
%===============================

if nargin < 3
   chaine_erreur = sprintf(' Nombre d''arguments insuffisants !\n Syntaxe : filtre_cheby(sig, fech, freq_coup)');
   errordlg(chaine_erreur, 'Erreur', 'on');
   return;
else

if freq_coup == 0 % on ne filtre pas
    disp('filtre_cheby : ATTENTION, frequence de coupure  zro ! Pas de filtrage.');
    sig_filt = sig;
    return;
end

%fc = (2*freq_coup)/fech
%fc1 = fc + .15
fc=0.2;
fc1=0.1;

%  pente du filtre > de (-.1dB + 50dB)/.005
%  calcule des parametres en fonction de la frequence de coupure
[n, wn] = cheb1ord(fc, fc1, .1, 50);
if rem(n, 2) == 0
   disp('filtre_cheby : ATTENTION, on force ordre du filtre (n) impair ...');
   n = n+1;
end

% Definition des paramtres du filtre
% [C, D] = cheby1(n, 0.15, wn);          
[C, D] = cheby1(n, 0.5, (2*freq_coup)/fech);

% On filtre sans introduire de dephasage
sig_filt = filtfilt(C,D,sig);

end












