% %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% Fichier : filtre_remez.m
% Source : Matlab
% Auteur : PP, repris parCS
% Date : 16/03/04
% Contenu : Filtrage Passe Haut des donnes par filtrage de Remez
%
% Entres :
%       sig : signal en vecteur ligne
%      fech : freq d'ech su signal
%
% NOTE : ce filtre "mange" des echantillons qui sont rajouts  la fin
% %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 function [sig_filt] = filtre_remez(sig, fech)
 
%===============================
% TEST SUR LE NOMBRE D'ARGUMENTS
%===============================

if nargin < 2
   chaine_erreur = sprintf(' Nombre d''arguments insuffisants !\n Syntaxe : filtre_remez(sig, fech)');
   errordlg(chaine_erreur, 'Erreur', 'on');
   sig_filt = sig;
   return;
else
    N=350;
    F = [0 (30/20000)*2 (100/20000)*2 1];
    A = [0.0001 0.0001 1 1];
    B= remez(N,F,A);
    [H,w] = freqz(B,1,512);
    f=w/(2*pi)*fech;
    xfilt=filter(B,1,sig);
    l=length(xfilt);
    
    sig_filt = xfilt(N/2+1:l);
    nb_ech_manq = size(sig,2)-size(sig_filt,2);
    sig_filt = [sig_filt zeros(1,nb_ech_manq)];
end
