% %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% Fichier : filtre_spline.m
% Source : Matlab
% Auteur : CS et LN
% Date : 05/02/04
% Contenu : Interpolation par fonction spline des donnes
% %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

function [sig_filt, tps_spline] = filtre_spline(sig, fech, nb_interp)


%===============================
% TEST SUR LE NOMBRE D'ARGUMENTS
%===============================

if nargin < 3
   chaine_erreur = sprintf(' Nombre d''arguments insuffisants !\n Syntaxe : filtre_spline(sig, fech, nb_interp)');
   errordlg(chaine_erreur, 'Erreur', 'on');
   return;
else
    
nb_ech = length(sig);

tps = linspace(0,(nb_ech-1)/fech,nb_ech);    
tps_spline = linspace(0, (nb_ech-1)/fech, nb_interp*nb_ech);

sig_filt = spline(tps, sig, tps_spline);
%figure
%plot(tps, sig, '+',tps_spline, sig_filt,'o')

end







