% %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% Fichier : marq_dlg.m
% Source : Matlab
% Auteur : D. Lefebvre
% Date : 21.06.99
% Modifi par H. Loevenbruck 14.10.99
% Contenu : Saisie du niveau et du nom de l'tiquette
% %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

function marq_dlg(titre)

%===============================
% TEST SUR LE NOMBRE D'ARGUMENTS
%===============================

if nargin < 1
   chaine_erreur = sprintf(' Nombre d''arguments insuffisants !\n Syntaxe : marq_dlg(titre)');
   errordlg(chaine_erreur, 'Erreur', 'on');
   return;
end

global NIV_ETIQ TYPE_ETIQ

num_fen = dialogue(titre);
taille_fen = get(num_fen,'Position');

uicontrol(num_fen,'Style','Text','String','Nom tiquette:',...
    'Position',[0 taille_fen(4)/2+40 taille_fen(3)/3 20]);
uicontrol(num_fen,'Style','Edit','Backgroundcolor','w',...
    'Position',[taille_fen(3)/3 taille_fen(4)/2+40 2*taille_fen(3)/3-40 20]);

uicontrol(num_fen,'Style','Text','String','Type tiquette:',...
    'Position',[0 taille_fen(4)/2-10 taille_fen(3)/3 20]);

somme_longueur_etiq = length(deblank(TYPE_ETIQ(1,:)));
nom_etiq(1, 1:somme_longueur_etiq) = deblank(TYPE_ETIQ(1,:));

if NIV_ETIQ > 1
  for i = 2: NIV_ETIQ
     somme_longueur_etiq = somme_longueur_etiq + length(deblank(TYPE_ETIQ(i,:))) +1;
     nom_etiq(i,1:somme_longueur_etiq) = [nom_etiq(i-1,:) '|' deblank(TYPE_ETIQ(i,:))];
  end
end

uicontrol(num_fen,'Style','Popupmenu','String',nom_etiq(NIV_ETIQ,:),...
    'Backgroundcolor',[0.8 0.8 0.8],...
    'Position',[taille_fen(3)/3 taille_fen(4)/2-10 2*taille_fen(3)/3-40 20]);

