% %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% Fichier : mes_choix_traj_dlg.m
% Source : Matlab
% Auteur : H. Loevenbruck
% Date de cration : 06.07.99
% Date de dernire modification : 12.09.02
% Contenu : Boite de dialogue de choix
%           des canaux articulatoires ou des 
%           numros de mesure, ds le cas gnral,
%           dont la trajectoire sera trace.
% %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

function mes_choix_traj_dlg(type)

%===============================
% TEST SUR LE NOMBRE D'ARGUMENTS
%===============================

if nargin < 1
   chaine_erreur = sprintf(' Nombre d''arguments insuffisants !\n Syntaxe : mes_choix_traj_dlg(type)');
   errordlg(chaine_erreur, 'Erreur', 'on');
   return;
end

global MES_NB MES_NOM MES_DATA

if MES_NB < 1
   errordlg(' Veuillez spcifier le nombre total de mesures.','Erreur', 'On');
   return;
end

if isempty(MES_NOM)
   errordlg(' Veuillez spcifier les noms de mesures.','Erreur', 'On');
   return;
end

if isempty(MES_DATA)
   chaine_erreur=sprintf(' Il n''y a pas de mesure charge !\n Veuillez ouvrir un fichier de mesures.\n');
   errordlg(chaine_erreur,'Erreur', 'On');
   return;
end

% Dfinition de la fenetre de dialogue
taille_ecran = get(0,'ScreenSize');

nb_bout = 2;
div = MES_NB/nb_bout;
quotient = fix(div);
reste = div - quotient;
if reste == 0
  taille_fen = [taille_ecran(3)/2-(nb_bout*80)/2 taille_ecran(4)/2-(quotient*25+30)/2 nb_bout*80 quotient*25+30];
else
  quotient = quotient + 1;
  taille_fen = [taille_ecran(3)/2-(nb_bout*80)/2 taille_ecran(4)/2-(quotient*25+30)/2 nb_bout*80 quotient*25+30];
end

num_fen = figure('Numbertitle','off','Name',type,...
    'Units','pixel', 'MenuBar', 'none', 'Tag', 'fen_mes_chx_traj', 'Position',taille_fen);

% Dfinition du bouton Fermer
uicontrol(num_fen,'Style','Frame',...
    'Position',[0 0 taille_fen(3) 30]);
uicontrol(num_fen,'Style','PushButton','String','Fermer',...
    'Position',[taille_fen(3)/2-30 5 60 20],'Callback','delete(gcf)')


% Dfinition des boutons canaux
if quotient == 1
  for nb=1 : MES_NB
    if strcmp(type,'Trajectoire')
      uicontrol(num_fen,'Style','PushButton','String',MES_NOM(nb,:),...
	  'Position',[(nb-1)*80 taille_fen(4)-25 80 25],...
	  'Callback','mes_traj(1);');
    elseif strcmp(type,'Vitesse')
      uicontrol(num_fen,'Style','PushButton','String',MES_NOM(nb,:),...
	  'Position',[(nb-1)*80 taille_fen(4)-25 80 25],...
	  'Callback','mes_traj(2);');
    elseif strcmp(type,'Acclration')
      uicontrol(num_fen,'Style','PushButton','String',MES_NOM(nb,:),...
	  'Position',[(nb-1)*80 taille_fen(4)-25 80 25],...
	  'Callback','mes_traj(3);');
    elseif strcmp(type,'Filtrage')
      uicontrol(num_fen,'Style','PushButton','String',MES_NOM(nb,:),...
	  'Position',[(nb-1)*80 taille_fen(4)-25 80 25],...
	  'Callback','close(gcf);mes_traj(4);');
end
  end
else
  nb = 1;
  for lig=1 : quotient
    for col=1 : nb_bout
      if strcmp(type,'Trajectoire')
    uicontrol(num_fen,'Style','PushButton','String',MES_NOM(nb,:),...
	    'Position',[(col-1)*80 taille_fen(4)-(lig*25) 80 25],...
	    'Callback','mes_traj(1);');
      elseif strcmp(type,'Vitesse')
	uicontrol(num_fen,'Style','PushButton','String',MES_NOM(nb,:),...
	    'Position',[(col-1)*80 taille_fen(4)-(lig*25) 80 25],...
	    'Callback','mes_traj(2);');
      elseif strcmp(type,'Acclration')
	uicontrol(num_fen,'Style','PushButton','String',MES_NOM(nb,:),...
	    'Position',[(col-1)*80 taille_fen(4)-(lig*25) 80 25],...
	    'Callback','mes_traj(3);');
      elseif strcmp(type,'Filtrage')
	uicontrol(num_fen,'Style','PushButton','String',MES_NOM(nb,:),...
	    'Position',[(col-1)*80 taille_fen(4)-(lig*25) 80 25],...
	    'Callback','close(gcf);mes_traj(4);');
      end
      if nb < MES_NB
	nb = nb + 1;
      else
	return
      end
    end
  end
end


