% %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% Fichier : mes_vit.m
% Source : Matlab
% Auteur : H. Loevenbruck
% Date : 06.07.99
% Contenu : Calcule puis trace la vitesse d'une
%          mesure qcq dans la fenetre principale
% %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

function mes_vit(sig,nom)

%===============================
% TEST SUR LE NOMBRE D'ARGUMENTS
%===============================

if nargin < 2
   chaine_erreur = sprintf(' Nombre d''arguments insuffisants !\n Syntaxe : mes_vit(signal, nom)');
   errordlg(chaine_erreur, 'Erreur', 'on');
   return;
end

global NUM_FEN MES_TPS MES_FECH 

% Calcul de la vitesse
vit = calc_vit(sig,MES_FECH);

% Affichage
% Si aucune fenetre n'a t ouverte, on ouvre celle par dfaut
if NUM_FEN == 0
    fenetre(1,4,[20 90],[450 650],'Fenetre Principale');
end 
trace_graphe(vit,MES_TPS,['VIT. ',nom], '-', [ 1 1 0]);
