% %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% Fichier : modif_echelle.m
% Source : Matlab
% Auteur : D. Lefebvre
% Date : 21.06.99
% Modifi par H. Loevenbruck 01.09.99
% Contenu : Modifie l'chelle du graphique 
%           slectionn
% Attention ne marche bien que si le titre de chaque 
% trac est bien crit en vert
% %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

function modif_echelle(xmin,xmax,ymin,ymax)

%===============================
% TEST SUR LE NOMBRE D'ARGUMENTS
%===============================

if nargin < 4
   chaine_erreur = sprintf(' Nombre d''arguments insuffisants !\n Syntaxe : modif_echelle(xmin, xmax, ymin, ymax)');
   errordlg(chaine_erreur, 'Erreur', 'on');
   return;
end

% Rcupre le titre du graphique
texte = findobj(gca,'Type','text','Color',[0 1 0]); % titre en vert
nom = get(texte,'String');

x = get(gca,'Xlim');
y = get(gca,'Ylim');
if xmin > x(:,1)
    xmin = x(:,1);
end
if xmax < x(:,2)
    xmax = x(:,2);
end

% Modifie les axes
axis([xmin,xmax,ymin,ymax]);

% Ecrit le titre au bon emplacement
titre(nom);
