% %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% Fichier : param_filtre_dlg.m
% Source : Matlab
% Auteur : H. Loevenbruck & C. Savariaux
% Date : 05.02.04
% Contenu : Boite de dialogue permettant de choisir
%           les paramtres du filtre
% %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

function param_filtre_dlg(titre)

%===============================
% TEST SUR LE NOMBRE D'ARGUMENTS
%===============================

if nargin < 1
   chaine_erreur = sprintf(' Nombre d''arguments insuffisants !\n Syntaxe : param_filtre_dlg(titre)');
   errordlg(chaine_erreur, 'Erreur', 'on');
   return;
end

num_fen = dialogue(titre);
taille_fen = get(num_fen,'Position');

% Param du filtre Cheby
uicontrol(num_fen,'Style','Checkbox','String','Chebyshev','Tag','chk_cheb',...
    'Backgroundcolor','w',...
    'Position',[5 taille_fen(4)/2+35 taille_fen(3)-215 30]);

uicontrol(num_fen,'Style','Text','String','Frquence coupure',...
    'Position',[10+taille_fen(3)-220 taille_fen(4)/2+25 taille_fen(3)-220 30]);

uicontrol(num_fen,'Style','Edit','Backgroundcolor','w','Tag','fc_cheb', 'String', 10,...
    'Position',[10+taille_fen(3)-120  taille_fen(4)/2+40 taille_fen(3)-220 20]);


% Param de l'interpolation spline

uicontrol(num_fen,'Style','Checkbox','String','Cubic spline interp','Tag','chk_spline',...
    'Backgroundcolor','w',...
    'Position',[5 taille_fen(4)/2 taille_fen(3)-215 30]);

uicontrol(num_fen,'Style','Text','String','Nb d''interpolations entre 2 chantillons',...
    'Position',[10+taille_fen(3)-220 taille_fen(4)/2 taille_fen(3)-220 30]);

uicontrol(num_fen,'Style','Edit','Backgroundcolor','w','Tag','nb_spline','String', 4,...
    'Position',[10+taille_fen(3)-120  taille_fen(4)/2+5 taille_fen(3)-220 20]);


% Param du filtre Remez
uicontrol(num_fen,'Style','Checkbox','String','Remez','Tag','chk_remez',...
    'Backgroundcolor','w',...
    'Position',[5 taille_fen(4)/2-35 taille_fen(3)-215 30]);
