% %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% Fichier : rep_moy.m
% Source : Matlab
% Auteur : H. Loevenbruck
% Date : 01.04.2000
% Contenu : Calcule la valeur moyenne sur un
%           morceau de signal
%           Elle sera affiche par une croix de 
%           couleur COULEUR_MOY.
% %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

function rep_moy(sig,fech,tps)

%===============================
% TEST SUR LE NOMBRE D'ARGUMENTS
%===============================

if nargin < 3
   chaine_erreur = sprintf(' Nombre d''arguments insuffisants !\n Syntaxe : rep_moy(signal, Fe, tps)');
   errordlg(chaine_erreur, 'Erreur', 'on');
   return;
end

global COULEUR_MOY

% Calcule la moyenne du signal
moyenne = mean(sig);
tps_moyenne = (tps(length(tps)) + tps(1)) /2;

% Affichage
% Attention, ne pas modifier le code de couleur, 
% sinon l'effacage des min-max ne marchera plus.
% cf. eff_minmaxppz.m

hsub = subplot(gca);
limY = get(hsub,'Ylim');

hold on;
plot(tps_moyenne, moyenne, 'Color', COULEUR_MOY, 'Marker', '+');
line([tps(1) tps(1)],limY,'Color', COULEUR_MOY);
line([tps(length(tps)) tps(length(tps))],limY,'Color', COULEUR_MOY, 'LineStyle', '--');
hold off;


