% %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% Fichier : titre_fen_princ.m
% Source : Matlab
% Auteur :  H. Loevenbruck
% Date : 01.02.2000
% Contenu : titre de la fenetre principale
%   Modif CS : 23/01/18, Interpreter 'None'
% %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

function titre_fen_princ(x, y, titre)

global NB_LIG NB_COL COULEUR_TITRE_FEN

%===============================
% TEST SUR LE NOMBRE D'ARGUMENTS
%===============================

if nargin < 3
   chaine_erreur = sprintf(' Nombre d''arguments insuffisants !\n Syntaxe : titre_fen_princ(x, y, titre)');
   errordlg(chaine_erreur, 'Erreur', 'on');
   return;
end



% Efface le titre prcdent 
%--------------------------
h = subplot(NB_LIG+1, NB_COL, 1);
fils = findobj(gca,'Type','text', 'color', COULEUR_TITRE_FEN);  % recherche du titre de la fenetre princ
delete(fils);

% Titre de la fenetre
%---------------------
h = subplot(NB_LIG+1, NB_COL, 1);
text(x,y,titre,...
    'Color',COULEUR_TITRE_FEN,'HorizontalAlignment','center','FontSize',12, 'Interpreter', 'None');

%==========================================
% On s'assure que le graphe activ est bien 
% celui qui l'tait avant la coupe
%==========================================
maj_graphe_courant;
active_graphe;
